#!/bin/sh


. /usr/lib/libmodcgi.sh

cgi --id=backup_restore
cgi_begin 'Backup/restore configuration'

cat << EOF
<h1>Backup</h1>

<p>Save all settings from flash memory <i>/var/flash</i>. This includes
original firmware settings as well as Freetz and other installed extensions
(e.g. LCR Updater).</p>

<form action="do_backup.cgi" method="GET">
	<p><input type=submit value="Save"></p>
</form>

<h1>Restore</h1>

<p>Restore previously saved configuration archive.  This way the Fritz!Box
will be restored to the state it was in when you created the corresponding
backup.</p>

<p><b><i>After restore you should reboot the device in order to activate the
configuration. Please remember to double-check all settings afterwards!</i></b></p>

<form action="do_restore.cgi" method="POST" enctype="multipart/form-data">
<p><input type=file name="uploadfile"></p>
<p><input type=checkbox name="freetz_only" id="freetz_only"><label for="freetz_only">Restore Freetz settings only</label><br>
<input type=checkbox name="restart" id="restart" checked><label for="restart">Reboot after restore</label></p>
<p><input type=submit value="Restore" style="width:150px"></p>
</form>
EOF

cgi_end
