<!-- ../wlan/monitor_devices.js -->
function span(str) {
return "<nobr><span title=\""+ str + "\">" + str + "</span></nobr>";
}
var g_foundMini = false;
var g_MiniVerbunden = false;
var g_UserOhneMini = false;
var g_MiniOhneUser = false;
var g_txtNoMini = "No FRITZ!Minis found";
var g_AkkuLeer = "empty";
var g_AkkuDefekt = "Defective";
var g_mldMiniVerbunden = "No FRITZ!Mini is connected to the FRITZ!Box at this time.";
var g_mldMiniOhneUser = "At least one FRITZ!Mini has not been assigned to a user yet. The contents of the FRITZ!Mini can be personalized as soon as a user is assigned. The user assignment can be performed in the Gini! software under \"More\".";
var g_mldUserOhneMini = "No FRITZ!Mini has been assigned to an existing user. The user assignment can be performed in the Gini! software under \"More\".";
var g_NoInfo = "----";
function AkkuDisplay (akku,status) {
if(status != "1")
return g_NoInfo;
switch (akku) {
case "0": return g_AkkuLeer;
case "1": return "25%";
case "2": return "50%";
case "3": return "75%";
case "4": return "100%";
case "5": return g_AkkuDefekt;
}
return "";
}
function UserDisplay (user) {
if (user=="") return span(g_NoInfo);
return span(user);
}
function MiniLed (status) {
return "<img src=\"../html/de/images/"+ (status=="1" ? "led_green.gif":"led_gray.gif") + "\">";
}
function TrIdleuser(user) {
var str = "<tr>";
str += "<td class=\"c5 ac\">"+MiniLed("0")+"</td>";
str += "<td class=\"c2\">"+g_NoInfo+"</td>";
str += "<td class=\"c3\">"+ span(user) +"</td>";
str += "<td class=\"c4\">"+g_NoInfo+"</td>";
str += "</tr>";
g_foundMini = true;
g_UserOhneMini = true;
return str;
}
function TrMini(name, user, akku, status) {
var str = "<tr>";
str += "<td class=\"c5 ac\">"+ MiniLed(status) +"</td>";
str += "<td class=\"c2\">"+ span(name) +"</td>";
str += "<td class=\"c3\">"+ UserDisplay(user) +"</td>";
str += "<td class=\"c4\">"+ AkkuDisplay(akku,status) +"</td>";
str += "</tr>";
g_foundMini = true;
if (status == "1") g_MiniVerbunden = true;
if (user == "") g_MiniOhneUser = true;
return str;
}
function MiniMeldungen () {
var str="<p class=\"mt10 notetext\">";
if (g_foundMini && !g_MiniVerbunden) str += g_mldMiniVerbunden + " ";
if (g_MiniOhneUser) str += g_mldMiniOhneUser;
if (g_UserOhneMini) str += g_mldUserOhneMini;
str += "</p>"
return str;
}
