// ../js/val.js
var g_val_mldErrorText1 = "The value may include only numerals.";
var g_val_mldErrorText2_1 = "Illegal entry. The range of values is ";
var g_val_mldErrorText2_2 = " - 65535.";
function valIsZahl (nummer) {
if (nummer.match("[^0-9]") != null) return false;
return true;
}
function valIsZahlVorhanden (nummer) {
if (nummer.length == 0) return false;
return valIsZahl(nummer);
}
function valDoValidateInteger (Integer) {
var error = null;
if (valIsZahl(Integer)) {return null;}
error = g_val_mldErrorText1;
return error;
}
function valDoValidatePort (Integer, minport) {
var error = null;
error = valDoValidateInteger(Integer);
if (error == null) {
if ((Number(Integer) < minport) || (Number(Integer) > 65535)) error = g_val_mldErrorText2_1+minport+g_val_mldErrorText2_2;
}
return error;
}
function valIsSipname (name) {
if (name.match("[^0-9a-zA-Z\-_\.\!~\*\'\(\)&=\+$,;\?/:]") != null) return false;
return true;
}
function valIsAtSipname (name) {
if (name.match("[^0-9a-zA-Z\-_\.\!~\*\'\(\)&=\+$,;\?/:@]") != null) return false;
return true;
}
function valIsEMailAdress (name) {
// addr-spec
var parts = name.match(/^(.+)@(.+)$/);
if (!parts) return false;
var local=parts[1];
var domain=parts[2];
// valid characters
var specials = "\\(\\)<>@,;:\\\\\\\"\\.\\[\\]";
var atom = "[^"+specials+"\\s]";
// go
var words = new RegExp("^"+atom+"+(\\."+atom+"+)*$");
if (!local.match(words)) return false;
if (!domain.match(words)) return false;
return true;
}
function valIsPassword(name) {
if (name.match("[^0-9a-zA-Z/]") != null) return false;
return true;
}
function valIsAOLUsername(name) {
if (name.match("[^0-9a-zA-Z]") != null) return false;
return true;
}
