// ../js/webuicookie.js
var g_webuiCookie = g_webuiCookie || (function () {
var fields = [
{ valName: "noPwdReminder", valDefault: "0"} // Keine Anzeige des "Passworteinrichten"-Reminders
];
var values;
function init(str) {
str = str || "";
values = str.split("");
for (var i = values.length; i < fields.length; i++) {
values[i] = fields[i].valDefault;
}
}
function idx(valName) {
for (var i = 0, len = fields.length; i < len; i++) {
if (fields[i] && fields[i].valName == valName) {
return i;
}
}
return -1;
}
function getChar(valName) {
if (values) {
var i = idx(valName);
if (i >= 0) {
return values[i];
}
}
return "";
}
function setChar(valName, ch) {
if (values) {
ch = ""+ch;
if (ch.length != 1) {
return false;
}
var i = idx(valName);
if (i >= 0) {
values[i] = ch;
return true;
}
}
return false;
}
function getWholeStr() {
if (!values) {
return "";
}
return values.join("");
}
function saveToForm(dontEnable) {
if (!values) {
return false;
}
var frm = document.forms["uiPostForm"];
if (!frm) {
return false;
}
frm = frm.elements["box:settings/webui_cookie"];
if (!frm) {
return false;
}
frm.value = getWholeStr();
if (!dontEnable) {
frm.disabled = false;
}
return true;
}
return {
init: init,
getChar: getChar,
setChar: setChar,
saveToForm: saveToForm
};
})();
