<? include ../html/de/js/ajaxutility.js ?>
var ajaxTimer = 2000; /* Timer of the AJAX Callback! */
var snrTDNodes; /* Array with all snr-TD nodes. */
var bitsTDNodes; /* Array with all bits-TD nodes. */
var clearDisplay=0;
var oldTrainingType=0;
/* Callback of the AjaxObject */
function ajaxUpdateDslCB( xmlDocument )
{
var node = xmlDocument.documentElement;
if( node.getAttribute("carrierState") != 0 )
{
/* Update first table */
ajaxUpdateData( node.getElementsByTagName('DATA')[0], node.getAttribute("mode") );
/* Update second table */
ajaxUpdateStatistics( node.getElementsByTagName('STATISTIC')[0] );
}
//window.setTimeout('getXml( "/cgi-bin/webcm?getpage=../html/de/internet/adsldaten.xml", ajaxUpdateDslCB)', ajaxTimer);
window.setTimeout(makeAjaxFunc("adsldaten.xml", ajaxUpdateDslCB), ajaxTimer);
}
function makeAjaxFunc(xmlFile,callback) {
var url = "/cgi-bin/webcm?getpage=../html/de/internet/"+xmlFile;
url += "&sid=<? echo $var:sid ?>";
return function () {
return getXml(url,callback);
}
}
function ajaxUpdateStatistics( xmlDocument )
{
var nodeLOS = xmlDocument.getElementsByTagName('LossOfSignal')[0];
var nodeLOF = xmlDocument.getElementsByTagName('LossOfFrames')[0];
var nodeFEC = xmlDocument.getElementsByTagName('FEC')[0];
var nodeCRC = xmlDocument.getElementsByTagName('CRC')[0];
var nodeNCD = xmlDocument.getElementsByTagName('NoCellDelineation')[0];
var nodeHEC = xmlDocument.getElementsByTagName('HeaderErrorCtrl')[0];
var tabRowNodes = document.getElementById('t4').getElementsByTagName('tr');
var cpeNodes = tabRowNodes[1].getElementsByTagName('td');
var coeNodes = tabRowNodes[2].getElementsByTagName('td');
/* Update LossOfSignal */
cpeNodes[1].firstChild.data = nodeLOS.getAttribute('cpe');
coeNodes[1].firstChild.data = nodeLOS.getAttribute('coe');
/* Update LossOfFrames */
cpeNodes[2].firstChild.data = nodeLOF.getAttribute('cpe');
coeNodes[2].firstChild.data = nodeLOF.getAttribute('coe');
/* Update FEC */
cpeNodes[3].firstChild.data = nodeFEC.getAttribute('cpe');
coeNodes[3].firstChild.data = nodeFEC.getAttribute('coe');
/* Update CRC */
cpeNodes[4].firstChild.data = nodeCRC.getAttribute('cpe');
coeNodes[4].firstChild.data = nodeCRC.getAttribute('coe');
/* Update NoCellDelineation */
cpeNodes[5].firstChild.data = nodeNCD.getAttribute('cpe');
coeNodes[5].firstChild.data = nodeNCD.getAttribute('coe');
/* Update HeaderErrorCtrl */
cpeNodes[6].firstChild.data = nodeHEC.getAttribute('cpe');
coeNodes[6].firstChild.data = nodeHEC.getAttribute('coe');
}
function ajaxUpdateData( xmlDocument, mode )
{
var tdDCCNodes = document.getElementById('DslCableCapacity').getElementsByTagName('td');
var tdDARNodes = document.getElementById('DslAtmRate').getElementsByTagName('td');
var tdDBSNodes = document.getElementById('DslBitSwap').getElementsByTagName('td');
var tdDSNDNodes = document.getElementById('DslSignalNoiseDistance').getElementsByTagName('td');
var tdDLLNodes = document.getElementById('DslLineLoss').getElementsByTagName('td');
var tdDPCBNodes = document.getElementById('DslPowerCutBack').getElementsByTagName('td');
var tdMinDRNodes = document.getElementById('DslMinDataRate').getElementsByTagName('td');
var tdMaxDRNodes = document.getElementById('DslMaxDataRate').getElementsByTagName('td');
if( mode == 6 || mode == 5 )
ajaxUpdateAdsl2Part( xmlDocument );
if( mode == 7 )
ajaxUpdateVdsl2Part( xmlDocument, tabNode );
/* Update entries, independend of the adsl mode! */
/* Update maximal data rate */
tdMaxDRNodes[2].firstChild.data = xmlDocument.getElementsByTagName('MaxDslamRate')[0].getAttribute('rx');
tdMaxDRNodes[3].firstChild.data = xmlDocument.getElementsByTagName('MaxDslamRate')[0].getAttribute('tx');
/* Update minimal data rate */
tdMinDRNodes[2].firstChild.data = xmlDocument.getElementsByTagName('MinDslamRate')[0].getAttribute('rx');
tdMinDRNodes[3].firstChild.data = xmlDocument.getElementsByTagName('MinDslamRate')[0].getAttribute('tx');
/* Update Cable Capacity entry */
tdDCCNodes[2].firstChild.data = xmlDocument.getElementsByTagName('CableCapacity')[0].getAttribute('rx');
tdDCCNodes[3].firstChild.data = xmlDocument.getElementsByTagName('CableCapacity')[0].getAttribute('tx');
/* Update ATM Data Rate entry */
tdDARNodes[2].firstChild.data = xmlDocument.getElementsByTagName('ActDataRate')[0].getAttribute('rx');
tdDARNodes[3].firstChild.data = xmlDocument.getElementsByTagName('ActDataRate')[0].getAttribute('tx');
/* Update Latenz entry */
ajaxUpdateLatenz( xmlDocument );
/* Update Bitswap entry */
if( xmlDocument.getElementsByTagName('Bitswap')[0].getAttribute('rx') == 1 )
tdDBSNodes[2].firstChild.data = "on";
else
tdDBSNodes[2].firstChild.data = "off";
if( xmlDocument.getElementsByTagName('Bitswap')[0].getAttribute('tx') == 1 )
tdDBSNodes[3].firstChild.data = "on";
else
tdDBSNodes[3].firstChild.data = "off";
/* Update Signal Noise Distance */
tdDSNDNodes[2].firstChild.data = xmlDocument.getElementsByTagName('SignalNoiseDistance')[0].getAttribute('rx');
tdDSNDNodes[3].firstChild.data = xmlDocument.getElementsByTagName('SignalNoiseDistance')[0].getAttribute('tx');
/* Update Line Loss */
tdDLLNodes[2].firstChild.data = xmlDocument.getElementsByTagName('LineLoss')[0].getAttribute('rx');
tdDLLNodes[3].firstChild.data = xmlDocument.getElementsByTagName('LineLoss')[0].getAttribute('tx');
/* Update Power Cutback */
tdDPCBNodes[2].firstChild.data = xmlDocument.getElementsByTagName('PowerCutBack')[0].getAttribute('rx');
tdDPCBNodes[3].firstChild.data = xmlDocument.getElementsByTagName('PowerCutBack')[0].getAttribute('tx');
}
function ajaxUpdateLatenz( xmlDocument )
{
var xmlLatenzNode = xmlDocument.getElementsByTagName('Latenz')[0];
var rxNode = xmlLatenzNode.getElementsByTagName('RX')[0];
var txNode = xmlLatenzNode.getElementsByTagName('TX')[0];
var tdDLatenzNodes = document.getElementById('DslLatenz').getElementsByTagName('td');
/* update rx part of the latenz entry */
if( rxNode.getAttribute('interleave') == "0" ) /* FastPath? */
{
tdDLatenzNodes[2].firstChild.data = "fast";
}
else /* Interleaved */
{
tdDLatenzNodes[2].firstChild.data = rxNode.getAttribute('delay') + " ms";
}
/* update tx part of the latenz entry */
if( txNode.getAttribute('interleave') == "0" ) /* FastPath? */
{
tdDLatenzNodes[3].firstChild.data = "fast";
}
else /* Interleaved */
{
tdDLatenzNodes[3].firstChild.data = txNode.getAttribute('delay') + " ms";
}
}
function ajaxUpdateAdsl2Part( xmlDocument )
{
var tdSRANodes = document.getElementById('DslSeamlessRateAdaption').getElementsByTagName('td');
var tdINPNodes = document.getElementById('DslImpulseNoiseProtection').getElementsByTagName('td');
var tdL2nodes = document.getElementById('DslL2PowerMode').getElementsByTagName('td');
var sL2ModeVal = "NA";
/* Update seamless rate adaption */
if( xmlDocument.getElementsByTagName('SeamlessRateAdaption')[0].getAttribute('rx') == 1 )
tdSRANodes[2].firstChild.data = "on";
else
tdSRANodes[2].firstChild.data = "off";
if( xmlDocument.getElementsByTagName('SeamlessRateAdaption')[0].getAttribute('tx') == 1 )
tdSRANodes[3].firstChild.data = "on";
else
tdSRANodes[3].firstChild.data = "off";
/* Update impulse noise protection */
tdINPNodes[2].firstChild.data = xmlDocument.getElementsByTagName('ImpulseNoiseProtection')[0].getAttribute('rx');
tdINPNodes[3].firstChild.data = xmlDocument.getElementsByTagName('ImpulseNoiseProtection')[0].getAttribute('tx');
/* Update L2 power mode */
if( xmlDocument.getElementsByTagName('L2PowerMode')[0].getAttribute('support') == "1" )
{
if( xmlDocument.getElementsByTagName('L2PowerMode')[0].getAttribute('active') == "0" )
sL2ModeVal = "disabled";
else
sL2ModeVal = "enabled";
}
tdL2nodes[1].firstChild.data = sL2ModeVal;
}
function ajaxUpdateVdsl2Part( xmlDocument, tabRowNodes )
{
var tdINPNodes = document.getElementById('DslImpulseNoiseProtection').getElementsByTagName('td');
/* Update impulse noise protection */
tdINPNodes[2].firstChild.data = xmlDocument.getElementsByTagName('INP')[0].getAttribute('rx');
tdINPNodes[3].firstChild.data = xmlDocument.getElementsByTagName('INP')[0].getAttribute('tx');
}
//window.setTimeout('getXml( "/cgi-bin/webcm?getpage=../html/de/internet/adsldaten.xml", ajaxUpdateDslCB)', ajaxTimer);
window.setTimeout(makeAjaxFunc("adsldaten.xml", ajaxUpdateDslCB), ajaxTimer);
