var g_akt_Cbox_Options = new Array(); // globale Variable um die Belegung des Selectarray ber das Ende der Funktion hinweg zu speichern.
/* Die Funktion setComboboxOptions dient dazu die Optionen eines Array von Selects, welche zusammengehren und
* die selben Optionen besitzen, korrekt anzupassen. Bei einer Auswahl in einer der Slects werden die Optionen
* aller dem Array angehrender Selects angepasst. Hierdurch wird eine Mehrfachauswahl unterbunden und dem Kunden
* gleich deutlich welche Optionen noch zur Verfgung stehen.
* 1 Parameter ist die ID des Select-Array ohne den Index also z.B. "uiViewCombo_".
* 2 Parameter ist der Index des Selects in dem gerade die Vernderung vorgenommen wurde.
* 3 Parameter ist die Anzahl der Selects also die grsse des Array.
* 4 Parameter ist ein Array von Objekten all_possible_options[index]["Name"|"ID"]. In ihm werden der Name (string)
* und die ID (integer) des Elementes gespeichert das man im Select Array auswhlen mchte.
* Rckgabe gibt es keine
*/
function setComboboxOptions(id_ohne_index, index, combobox_anzahl, all_possible_options)
{
var element;
var eintrag_Name = "";
var eintrag_ID = "";
var new_Option = jslGetValue(id_ohne_index+index);
var old_Option = "Leer";
//wurde das bereits angezeigte element ausgewhlt dann raus
if( ((g_akt_Cbox_Options.length > 0) && (new_Option == (old_Option = g_akt_Cbox_Options[index]))) || ((g_akt_Cbox_Options.length <= 0) && (new_Option == "Leer"))) return;
//Wurde ein Option aus einer Combobox entfernt ("Leer" gewhlt)? Dann muss diese Option in die anderen Boxen hinzugefgt werden
if(new_Option == "Leer" || old_Option != "Leer")
{
//ermittle die entfernte Option und merke den Namen und Value der bei den anderen Comboboxen eingefgt werden soll
for(var i=0; i<all_possible_options.length; i++)
{
//gehe dazu alle mglichen Optionen durch und suche das mit der ID welche aus der Combobox (durch index adressiert) entfernt wurde
//(mglich durch checken der alten Belegung der entsprechenden Combobox)
if(all_possible_options[i]["ID"] == g_akt_Cbox_Options[index])
{
//gefunden dann Name und ID der Option speichern erstellen
eintrag_Name = all_possible_options[i]["Name"];
eintrag_ID = all_possible_options[i]["ID"];
break;
}
}
}
//loesche alte gespeicherte Belegung
while(g_akt_Cbox_Options.length != 0) g_akt_Cbox_Options.pop();
for(var i=0; i<combobox_anzahl; i++)
{
//Speichere die derzeitige auswahl (Belegung)
g_akt_Cbox_Options.push(jslGetValue(id_ohne_index+i));
if(new_Option != "Leer")
{
//Loesche die Option welche neu ausgewhlt wurde. Nur nicht in der Box in der sie ausgewhlt wurde.
if(((element = document.getElementById(id_ohne_index+i)) != null) && ((id_ohne_index+i) != id_ohne_index+index))
{
//selektiere die zu loechende Option
jslSetSelection(id_ohne_index+i, new_Option);
//loesche die selektierte Option
for(var j=0; j<(element.length); j++)
{
if(element.options[j].selected)
{
element.remove(j);
break;
}
}
}
}
//muss noch ein old_Option eingefgt werden? Dies ist der fall wenn eine Option da war und durch einen anderen
//ausgetauscht wurde. Oder muss eine neue option eingefgt werden weil eine Option aus einer anderen abgewhlt
//wurde.
if(old_Option != "Leer" || new_Option == "Leer")
{
if(((element = document.getElementById(id_ohne_index+i)) != null) && ((id_ohne_index+i) != id_ohne_index+index))
{
element.remove((element.length)-1);
element.options[element.length]=new Option(eintrag_Name,eintrag_ID,false,false);
element.options[element.length]=new Option("","Leer",false,false);
}
}
//Selektiere nun wieder die Vorherige und somit gewnschte original Option der Combobox
jslSetSelection(id_ohne_index+i, g_akt_Cbox_Options[i]);
}
}
/* Die Funktion "createCheckBoxTable" generiert einen string der eine Tabelle von checkboxen enthlt (html codiert) enthlt.
1 Parameter ist der ein array von folgendem Objekt : s_data - string der die nutzdaten enthlt. b_checked - boolean der besagt ob die
checkbox zum datum gechecked sein soll oder nicht.
2 Parameter ist die id welche die checkboxen haben sollen. An den id string wird eine fortlaufende Nummer angehngt.
3 Parameter bestimmt wieviele datenstze untereinander folgen sollen bevor die 2te Spalte der Tabelle genutzt wird.
Rckgabe ist ein String der die vollstndige Tabelle mit den entsprechenden Checkboxen enthlt.
*/
function createCheckBoxTable(CheckboxData, id, data_per_box)
{
var str="";
if(!CheckboxData || !id) return "";
if(!data_per_box) data_per_box = 5;
/*temporre zwischenrechnung um immer aufrunden zu knnen*/
var cnt = CheckboxData.length / data_per_box;
/*kaufmnisches runden*/
var box_cnt = Math.round(cnt);
/*wenn abgerundet wurde dann box_cnt um eins erhhen da wir immer aufrunden wollen*/
if( (box_cnt - cnt) < 0 ) box_cnt++;
cnt = 0;
/*Zeichnen der Tabelle*/
str += "<table width=\"80%\" class=\"ml25\">";
for(var i=0;i<CheckboxData.length;i++)
{
str+="<tr>";
str+= "<td><input type=\"checkbox\" name=\""+id+i+"\" id=\""+id+i+"\" value=\""+CheckboxData[i].s_data+"\""
str+= (CheckboxData[i].b_checked) ? "checked" : "";
str+= ">"+CheckboxData[i].s_data+"</td>";
/* ( legt fest wieviele daten maximal rechts angezeigt werden.) ( legt fest wieviele daten mindestens rechts angezeigt werden. )*/
if(( cnt < ((box_cnt*data_per_box)-((Math.round(box_cnt/2))*data_per_box)) ) && ( cnt < (CheckboxData.length-((box_cnt*data_per_box)-((Math.round(box_cnt/2))*data_per_box))) ))
{
i++;
str+= "<td><input type=\"checkbox\" name=\""+id+i+"\" id=\""+id+i+"\" value=\""+CheckboxData[i].s_data+"\""
str+= (CheckboxData[i].b_checked) ? "checked" : "";
str+= ">"+CheckboxData[i].s_data+"</td>";
cnt++;
}
str+="</tr>";
}
return str+"</table>";
}
