<!-- ../konfig/home.js -->
<style type="text/css">
.lotse1 {font-size: 16px;}
.titel1 {font-size: 20px; margin-bottom:10px;}
.lotse_explain {
margin-left: 11px;
margin-bottom:20px;
margin-top:6px;
}
#divAssis {
width:100%;
margin:0;
}
#divAssis div.assiLeft {
width:48%;
clear:both;
float:left;
}
#divAssis div.assiRight {
width:48%;
margin-left:50%;
}
#divAssis div a {
padding-left:5px;
}
</style>
<script type="text/javascript">
<? include ../html/de/js/jsl.js ?>
<? include ../html/de/konfig/assi_link_incl.js ?>
<? setvariable var:showTelefonAssi 0 ?>
<? setvariable var:showRufnummernAssi 0 ?>
<? if eq $var:isIsdnTE 1 `
<? setvariable var:showTelefonAssi 1 ?>
<? setvariable var:showRufnummernAssi 1 ?>
` ?>
<? if eq $var:isPots 1 `
<? setvariable var:showTelefonAssi 1 ?>
<? setvariable var:showRufnummernAssi 1 ?>
` ?>
<? setvariable var:showTelefonAssi 1 ?>
<? setvariable var:showRufnummernAssi 1 ?>
<? setvariable var:showInternetAssi 0 ?>
<? if neq $var:isAta 1 `
<? setvariable var:showInternetAssi 1 ?>
` ?>
<? if neq $var:isAtaFull 1 `
<? setvariable var:showInternetAssi 1 ?>
` ?>
<? setvariable var:showImexportAssi 1 ?>
<? setvariable var:showFwUpdateAssi 1 ?>
<? setvariable var:txtTelefon 0 ?>
<? setvariable var:txtAb 0 ?>
<? setvariable var:txtFax 0 ?>
<? setvariable var:txtIsdn 0 ?>
<? setvariable var:txtDect 0 ?>
<? setvariable var:txtIsdn 1 ?>
<? setvariable var:txtTelefon 1 ?>
<? setvariable var:txtAb 1 ?>
<? setvariable var:txtFax 1 ?>
<? setvariable var:txtFax 1 ?>
<? setvariable var:txtTelefon 1 ?>
function fonAssiExplainText() {
var fon = "<? echo $var:txtTelefon ?>" == "1";
var ab = "<? echo $var:txtAb ?>" == "1";
var fax = "<? echo $var:txtFax ?>" == "1";
var isdn = "<? echo $var:txtIsdn ?>" == "1";
var dect = "<? echo $var:txtDect ?>" == "1";
if (fon && ab && fax && isdn && dect) {
return "This Wizard assists you in connecting and configuring your telephones, answering machines, fax machines, ISDN PBXs and cordless (DECT) telephones.";
}
if (fon && ab && fax && isdn && !dect) {
return "This Wizard assists you in connecting and configuring your telephones, answering machines, fax machines and ISDN PBXs.";
}
if (fon && ab && fax && !isdn && dect) {
return "This Wizard assists you in connecting and configuring your telephones, answering machines, fax machines and cordless (DECT) telephones.";
}
if (fon && ab && fax && !isdn && !dect) {
return "This Wizard assists you in connecting and configuring your telephones, answering machines and fax machines.";
}
if (fon && !ab && !fax && !isdn && dect) {
return "This Wizard assists you in connecting and configuring your telephones and cordless (DECT) telephones.";
}
if (fon && !ab && !fax && !isdn && !dect) {
return "This Wizard assists you in connecting and configuring your telephones.";
}
if (!fon && !ab && fax && !isdn && !dect) {
return "This Wizard assists you in connecting and configuring your fax machines.";
}
return "";
}
function buildMenu() {
var menu = {
telefon: {
show: "<? print $var:showTelefonAssi ?>" == "1",
title: "Manage Telephony Devices",
href: "javascript:DoFonLotse()",
explain: fonAssiExplainText()
},
numbers: {
show: "<? print $var:showRufnummernAssi ?>" == "1",
title: "Manage Your Own Phone Numbers",
href: "javascript:DoVoipFonLotse()",
explain: "This Wizard assists in you in adding and editing telephone numbers."
},
internet: {
show: "<? print $var:showInternetAssi ?>" == "1",
title: "Check Internet Connection",
href: "javascript:DoInternetLotse()",
explain: "This Wizard assists you in checking your Internet connection."
},
imexport: {
show: "<? print $var:showImexportAssi ?>" == "1",
title: "Save Settings",
href: "javascript:DoSaveLotse()",
explain: "Save the settings you configured on your FRITZ!Box permanently on your computer, or restore the previous settings."
},
update: {
show: "<? print $var:showFwUpdateAssi ?>" == "1",
title: "Update Firmware",
href: "javascript:DoFirmwareLotse()",
explain: "Checks whether new firmware is available for your FRITZ!Box and updates it automatically if desired."
}
};
return menu;
}
function sortMenu(menu) {
var order = ['telefon', 'numbers', 'internet', 'imexport', 'update'];
var toShow = [];
for (var i = 0; i < order.length; i++) {
if (menu[order[i]].show) {
toShow.push(order[i]);
}
}
var half = Math.floor((toShow.length+1)/2);
var leftColumn = toShow.slice(0, half);
var rightColumn = toShow.slice(half);
var result = [];
var isLeft = true;
for (var i = 0; i < leftColumn.length; i++) {
result.push(leftColumn[i]);
if (i < rightColumn.length) {
result.push(rightColumn[i]);
}
}
return result;
}
function divsAssis() {
var menu = buildMenu();
var sorted = sortMenu(menu);
var str = [];
var isLeft = false;
for (var i = 0; i < sorted.length; i++) {
var m = menu[sorted[i]];
if (m.show) {
isLeft = !isLeft;
str.push("<div class=\"");
str.push(isLeft ? "assiLeft" : "assiRight");
str.push("\">");
str.push("<p class=\"lotse1\"><img src=\"../html/de/images/pfeil.gif\"><a href=\"");
str.push(m.href);
str.push("\">");
str.push(m.title);
str.push("</a></p>");
str.push("<p class=\"lotse_explain\">");
str.push(m.explain);
str.push("</p>");
str.push("</div>");
}
}
str.push("<div style=\"clear:both;\"></div>");
return str.join("");
}
function uiDoOnLoad() {
document.title = "FRITZ!Box Wizards";
}
function uiDoCancel() {
if (!AskAssiCancel()) return;
jslGoTo("home", "home");
return;
}
function uiDoHelp() {
jslPopHelp("hilfe_konfig");
}
</script>
