<!-- ../system/status.js -->
<style type="text/css">
<!--
.tAura {width: 100%; table-layout: fixed}
.tAura td {padding: 2px; overflow: hidden}
.tAura .c1 {width: 300px;}
.tAura .c2 {width: 360px; padding-left:10px;}
-->
</style>
<script type="text/javascript">
<? include ../html/de/js/jsl.js ?>
var g_expertMode = "<? query box:settings/expertmode/activated ?>";
var g_foundPrinter = false;
var g_foundDisk = false;
var g_foundAlles = false;
var g_foundSonst = false;
var g_enableTrennen = false;
var g_txtNoPrinter = "No printer is connected to the FRITZ!Box.";
var g_txtNoDisk = "No USB mass storage device is connected to the FRITZ!Box.";
var g_txtNoAlles = "No USB devices are connected to the FRITZ!Box at this time.";
var g_txtNoSonst = "No other USB devices are connected to the FRITZ!Box at this time.";
var g_txtState0 = "Ready";
var g_txtState1 = "Printing...";
var g_txtState2 = "Please insert paper";
var g_txtState3 = "General error";
var g_txtState4 = "Status not available";
var g_txtAuraUsage = "USB device was reserved for use with the USB remote connection.";
var g_NumOfPhysMedia="<? query usbdevices:settings/physmediumcnt ?>";
var g_NumOfLogMedia ="<? query usbdevices:settings/logvolcnt ?>";
var g_UsbDeviceList = new Array();
//Aura ---
<? if eq '<? query aura:settings/enabled ?>' '1' `
//aura enabled ---
<? multiquery aura:settings/device/list(class,manufacturer,comment,client) `
//$10 $11 $12 $13 $14
g_UsbDeviceList.push({ idx: "",
name: "<? query aura:settings/$11 ?>",
vendor: "$13",
serial: "",
fw_version: "",
conntype: "USB",
capacity:"",
speed:"",
status:"-",
AnyLog: false,
<? if eq '$12' '07' `
devtype:"printer",
` ` <? if eq '$12' '08' `
devtype:"storage",
` `
devtype:"aura",
`?> `?>
type:"$12",
comment:"$14",
client:"$15",
isAura:true
});
` ?>
` ?>
<? if neq '<? query aura:settings/aura4storage ?>' '1' `
//Aura nicht für Storage aktiv
<? multiquery usbdevices:settings/physmedium/list(name,vendor,serial,fw_version,conntype,capacity,status,usbspeed) `
//<!-- $10,$11,$12,$13,$14,$15,$16,$17,$18,$19 -->
g_UsbDeviceList.push({ idx: "$11",
name: "$12",
vendor: "$13",
serial: "$14",
fw_version: "$15",
conntype: "$16",
capacity:"$17",
speed:"$19",
status:"$18",
AnyLog: false,
devtype:"storage",
type:"08usb",
comment:"",
client:"",
isAura:false
});
` ?>
` ?>
//Printer
<? if eq "<? query ctlusb:settings/printer-avail ?>" "1" `
//Printer-avail
g_UsbDeviceList.push({ idx: "",
name: "<? query ctlusb:settings/printer-name ?>",
vendor: "<? query ctlusb:settings/printer-manu ?>",
serial: "",
fw_version: "",
conntype: "-",
capacity:"0",
speed:"",
status:"<? query ctlusb:settings/printer-status ?>", //nur für Drucker Info wie Papierleer usw.
AnyLog: false,
devtype:"printer",
type:"07usb",
comment:"",
client:"",
isAura:false
});
` ?>
//LogMedia
var g_LogMediaList = new Array();
<? if neq '<? query aura:settings/aura4storage ?>' '1' `
//Aura nicht für Storage aktiv
<? multiquery usbdevices:settings/logvol/list(name,status,enable,phyref,filesystem,capacity,usedspace) `
//<!-- $10,$11,$12,$13,$14,$15,$16,$17,$18,$19 -->
g_LogMediaList.push({ idx: "$11",
name: "$12",
status: "$13",
enable: "$14",
phyref: "$15",
filesystem: "$16",
capacity:"$17",
usedspace:"$18",
usedByMorphStick:false
});
` ?>
` ?>
function AddPrinter()
{
var str="";
var comment="";
var type="";
var manu="";
for (var i=0;i<g_UsbDeviceList.length;i++)
{
if (g_UsbDeviceList[i].devtype=="printer")
{
comment=g_UsbDeviceList[i].comment;
type=g_UsbDeviceList[i].type;
manu="";
if (g_UsbDeviceList[i].isAura)
manu=g_UsbDeviceList[i].vendor;
str += "<tr><td class=\"c1\"";
if (g_UsbDeviceList[i].isAura)
{
str+="onMouseout=\"hidetip()\" onMouseover=\"showtip(this,event,'";
str+=g_txtAuraUsage;
str+="')\"";
}
str +=">"+DeviceName(g_UsbDeviceList[i].name, manu, comment, type)+"</td>";
str += "<td class=\"c2\">";
str += AddProperties(i);
str += "</td></tr>";
break;
}
}
return str;
}
function AddProperties(PhysIdx)
{
var strOpt = new Array();
if (isAuraActive(g_UsbDeviceList[PhysIdx].type)) {
var strAuraOpt="";
var client=g_UsbDeviceList[PhysIdx].client;
if (client != "") {
strAuraOpt = jslPrintf("USB remote connection to %1%PcName%",'<nobr><span title="'+client+'">'+PcName(client)+'</span></nobr>');
}else{
strAuraOpt = "USB remote connection ";
}
strOpt.push(strAuraOpt);
return strOpt.join("<br>");
}
if (g_UsbDeviceList[PhysIdx].devtype=="storage")
{
if (g_UsbDeviceList[PhysIdx].AnyLog)
{
var useSamba = ("<? query ctlusb:settings/samba-server-enabled ?>" == "1");
if (useSamba) {
strOpt.push(SambaLink());
}
if ("<? query mediasrv:settings/enabled ?>" == "1") {
strOpt.push("Musikbox");
}
if ("<? query ctlusb:settings/storage-ftp-internet ?>" == "1") {
strOpt.push("Internet sharing");
}
}
}
if (g_UsbDeviceList[PhysIdx].devtype=="printer")
{
strOpt.push("Status: "+uiStatusDisplay(g_UsbDeviceList[PhysIdx].status));
}
return strOpt.join("<br>");
}
function FindPhysIdx(reference)
{
var queryName="physmedium"+(reference-1)
for (var i=0;i<g_UsbDeviceList.length;i++)
{
if (g_UsbDeviceList[i].idx==queryName)
return i;
}
return -1;
}
function AddTooltip(idx,idxPhys)
{
var strOpt = new Array();
var str ="";
var result="onMouseout=\"hidetip()\" onMouseover=\"showtip(this,event,'";
str="USB port: "+g_UsbDeviceList[idxPhys].conntype.replace("USB","");
strOpt.push(str);
if (g_UsbDeviceList[idxPhys].speed!="" && g_UsbDeviceList[idxPhys].speed!="!0")
{
str="Throughput: "+g_UsbDeviceList[idxPhys].speed+" MBit/s";
strOpt.push(str);
}
if (g_LogMediaList[idx].filesystem!="unknown")
{
str="File system: "+g_LogMediaList[idx].filesystem.toUpperCase();
strOpt.push(str);
}
str="Memory: "+AddSizeInfo(idx);
strOpt.push(str);
result+=strOpt.join("<br>");
result+="')\"";
return result;
}
function AddTooltipPhys(idxPhys)
{
var strOpt = new Array();
var str ="";
var result="onMouseout=\"hidetip()\" onMouseover=\"showtip(this,event,'";
if (isAuraActive(g_UsbDeviceList[idxPhys].type))
{
str=g_txtAuraUsage;
strOpt.push(str);
}
else
{
if (g_UsbDeviceList[idxPhys].conntype.replace("USB","")!="")
{
str="USB port: "+g_UsbDeviceList[idxPhys].conntype.replace("USB","");
strOpt.push(str);
}
if (g_UsbDeviceList[idxPhys].speed!="" && g_UsbDeviceList[idxPhys].speed!="0")
{
str="Throughput: "+g_UsbDeviceList[idxPhys].speed+" MBit/s";
strOpt.push(str);
}
if (g_UsbDeviceList[idxPhys].capacity!="" && g_UsbDeviceList[idxPhys].capacity!="0")
{
str="Total capacity: "+g_UsbDeviceList[idxPhys].capacity;
strOpt.push(str);
}
//strOpt.push("Keine logischen Laufwerke");
}
result+=strOpt.join("<br>");
result+="')\"";
return result;
}
function AddSizeInfo(logIdx)
{
var freeSpace=g_LogMediaList[logIdx].capacity-g_LogMediaList[logIdx].usedspace;
var DiskSize=g_LogMediaList[logIdx].capacity;
var UnitSpace="MB";
var UnitDisk="MB";
if (freeSpace>2000)
{
UnitSpace="GB";
freeSpace=Math.round(freeSpace/100)/10;
}
if (DiskSize>2000)
{
UnitDisk="GB";
DiskSize=Math.round(DiskSize/100)/10;
}
//Umwandeln MB -> GB
var str =freeSpace+" "+UnitSpace+" of "+DiskSize+" "+UnitDisk+" free";
return str;
}
function AddStorage()
{
var str="";
var idxOfPhys=-1;
var idxOfAura=-1;
var comment="";
var type="";
var manu=""
for (var i=0;i<g_LogMediaList.length;i++)
{
idxOfPhys=FindPhysIdx(g_LogMediaList[i].phyref);
if (idxOfPhys==-1)
continue;
g_UsbDeviceList[idxOfPhys].AnyLog=true;
comment="";
type="08usb";
comment=g_UsbDeviceList[idxOfPhys].comment;
type=g_UsbDeviceList[idxOfPhys].type;
//vendor ist nur eine Zahl.
//manufacturer=g_UsbDeviceList[idxOfPhys].vendor;
manu="";
if (g_UsbDeviceList[idxOfPhys].isAura)
manu=g_UsbDeviceList[idxOfPhys].vendor;
str += "<tr><td class=\"c1\" "+AddTooltip(i,idxOfPhys)+">";
str +=DeviceName(g_LogMediaList[i].name, manu, comment, type);
str +="<br>("+AddSizeInfo(i)+")";
str +="</td>";
str += "<td class=\"c2\">";
if (g_LogMediaList[i].usedByMorphStick)
{
str+="AVM Streaming Stick<br>";
}
if ("<? query ctlusb:settings/ftp-server-enabled ?>" == "1") {
str+=DiskLink2(g_LogMediaList[i].name,"FTP Access")+"<br>";
}
str += AddProperties(idxOfPhys);
str += "</td></tr>";
}//for
for (var i=0;i<g_UsbDeviceList.length;i++)
{
if (g_UsbDeviceList[i].devtype=="storage")
{
if (g_UsbDeviceList[i].AnyLog==false)
{
str += "<tr><td class=\"c1\" "+AddTooltipPhys(i)+">"+DeviceName(g_UsbDeviceList[i].name, g_UsbDeviceList[i].vendor, "", "08usb")+"</td>";
str += "<td class=\"c2\">";
str += AddProperties(i);
str += "</td></tr>";
}
}//if
}//for
if ("<? query aura:settings/aura4storage ?>"!="1") g_enableTrennen = true;
return str;
}
function AddModem()
{
for (var i=0;i<g_UsbDeviceList.length;i++)
{
if (g_UsbDeviceList[i].devtype == "modem")
{
return TrGSM(g_UsbDeviceList[i].vendor,g_UsbDeviceList[i].name);
}
}
return "";
}
function AddOther()
{
var str = "";
for (var i=0;i<g_UsbDeviceList.length;i++)
{
if (g_UsbDeviceList[i].devtype == "aura")
{
str = "<tr><td class=\"c1\" ";
str+="onMouseout=\"hidetip()\" onMouseover=\"showtip(this,event,'";
str+=g_txtAuraUsage;
str+="')\"";
str += " >"+ g_UsbDeviceList[i].vendor + "&nbsp;" + g_UsbDeviceList[i].name +"</td>";
str += "<td class=\"c2\">";
var client=g_UsbDeviceList[i].client;
if (client != "") {
str += jslPrintf("USB remote connection to %1%PcName%",'<nobr><span title="'+client+'">'+PcName(client)+'</span></nobr>');
}else{
str += "USB Remote Connection";
}
str += "</td></tr>";
}
}
return str;
}
function TrAddUsbData()
{
if (g_UsbDeviceList.length!=0)
{
var str="";
str+=AddPrinter();
str+=AddStorage();
str+=AddModem();
str+=AddOther();
if (g_LogMediaList.length)
g_enableTrennen = true;
g_foundAlles = true;
return str;
}
return "";
}
function uiDoOnLoad() {
document.title = "FRITZ!Box USB Devices";
jslSetChecked("uiView_AuraActivated", jslGetValue("uiPostAuraEnabled") == "1");
jslDisplay("uiAuraEnable", g_expertMode == "1");
jslZebrastreifen("uiAlles");
var numberOfPartition = <? query ctlusb:settings/storage-part/count ?>;
jslDisplay("uiTrennen", numberOfPartition != 0);
jslSetEnabled("uiViewTrennen", g_enableTrennen);
}
function uiDoRefresh() {
jslGoTo(jslGetValue("uiPostMenu"), "status");
}
function uiDoHelp() {
jslPopHelp("hilfe_usb_status");
}
function TrNichts () {
var nStor = Number("<? query ctlusb:settings/storage-part/count ?>");
if (isNaN(nStor)) nStor = 0;
var nPartTotal = Number("<? query ctlusb:settings/storage-part-total ?>");
if (isNaN(nStor)) nPartTotal = 0;
var unplugOk = parseInt("<? query ctlusb:settings/unplug-ok ?>", 10) == 1;
if (nPartTotal > nStor) {
var str="";
str="<tr><td colspan=2>";
if (unplugOk) {
str += "All USB storage devices were \"removed safely\". Now remove the storage device from the FRITZ!Box.";
}
else
{
str += "At least one USB drive or parts of it are not integrated.";
str += "<a href=\"javascript:jslGoTo('home', 'syslog');\">More information.</a>";
}
str += "</td></tr>";
return str;
}
if (g_foundAlles) return "";
return "<tr><td colspan=2 class=\"ac\">"+g_txtNoAlles+"</td></tr>";
}
function CountUsbDevices() {
var countUsb = 0;
if ("1" == "<? query ctlusb:settings/printer-avail ?>")
countUsb++;
var nStor = Number("<? query ctlusb:settings/storage-part/count ?>");
if (!isNaN(nStor))
countUsb += nStor;
<? if eq '<? query aura:settings/enabled ?>' '1' `
var nAura = Number("<? query aura:settings/device/count ?>");
if (isNaN(nAura)) nAura=0;
countUsb += nAura;
` ?>
return countUsb;
}
var nUsb = CountUsbDevices();
function StrOptions() {
if (nUsb > 0)
return "Enabled Device Options";
return "&nbsp";
}
function DeviceName (name, manufacturer, comment, type) {
if (name=="AVM GmbH, WLAN USB Device")
name="AVM Streaming Stick";
var str = manufacturer;
if (str != "")
str += " ";
str += name;
if (comment != "") {
if (str != "") str += " ";
str += "("+comment+")";
}
if (str=="") {
switch (type) {
case "07usb": str = "USB printer"; break;
case "07": str = "USB printer"; break;
case "08usb": str = "USB storage"; break;
case "08": str = "USB storage"; break;
default: str = "USB device"; break;
}
}
return span(str);
}
function span(str) {
return "<nobr><span>" + str + "</span></nobr>";
}
function PcName (client) {
var str = client;
switch (client) {
<? multiquerytext dhcpd:status/lease/list(name,ip) `
case "$3": str = "$2"; break;
` ?>
default: break;
}
return str;
}
function isAuraActive(type) {
switch (type) {
case "07usb": return false;
case "08usb": return false;
case "07": return ("<? query aura:settings/aura4printer ?>"=="1");
case "08": return ("<? query aura:settings/aura4storage ?>"=="1");
}
return ("<? query aura:settings/aura4other ?>"=="1");
}
function AuraAktiv(type) {
var strAktiv = "enabled";
switch (type) {
case "07usb": return "";
case "08usb": return "";
case "07": return ("<? query aura:settings/aura4printer ?>"=="1") ? strAktiv:"";
case "08": return ("<? query aura:settings/aura4storage ?>"=="1") ? strAktiv:"";
}
return ("<? query aura:settings/aura4other ?>"=="1") ? strAktiv:"";
}
function IsIpClient () {
var conntype = "<? query connection0:settings/type ?>";
var atamode = "<? query box:settings/ata_mode ?>";
return (atamode == "1") && (conntype == "bridge");
}
function SambaLink () {
var strSamba = "USB network memory"
if (typeof g_IE == 'undefined' || g_IE != true) return strSamba;
var fromInternet = "<? echo $var:frominternet ?>";
if (fromInternet == "1") return strSamba;
var link;
if (IsIpClient()) {
link = "<? query connection0:status/ip ?>";
} else {
link = "<? query interfaces:settings/lan0/ipaddr ?>";
}
return "<a href=\"file://"+link+"\" target=_blank>"+strSamba+"</a>";
}
function DiskLink2(name,name2) {
var adr = "";
if ("<? query ctlusb:settings/ftp-password ?>" != "") adr = "ftpuser@";
var fromInternet = "<? echo $var:frominternet ?>";
if (fromInternet == "1" && "<? query ctlusb:settings/storage-ftp-internet ?>" == "1") {
var ddnsactiv= "<? query ddns:settings/account0/activated ?>";
var ddnspass= "<? query ddns:settings/account0/password ?>";
var ddnsusername= "<? query ddns:settings/account0/username ?>";
var ddnsprovider= "<? query ddns:settings/account0/ddnsprovider ?>";
var ddnsdomain= "<? query ddns:settings/account0/domain ?>";
var iponly='<? query connection0:pppoe:status/ip ?>';
if (!(iponly != "" && iponly != "-" && iponly != "er" && iponly != "0.0.0.0")){iponly="";}
if(ddnsactiv=="1" && ddnspass!="" && ddnsusername!="" && ddnsprovider!=""){
adr += ddnsdomain;
}
else {
adr += iponly;
}
}
else if (IsIpClient()) {
adr += "<? query connection0:status/ip ?>";
} else {
adr += "<? query interfaces:settings/lan0/ipaddr ?>";
}
return "<a href=\"ftp://"+adr+"/"+name+"\" target=\"_blank\">"+name2+"</a>";
}
function uiDoTrennen() {
jslEnable("uiPostUnplug");
jslSubmitFormEx("usb", "usbdisk_cut");
}
function uiStatusDisplay (state) {
switch (state) {
case "0": return g_txtState0;
case "1": return g_txtState1;
case "2": return g_txtState2;
case "3": return g_txtState3;
}
return g_txtState4;
}
function uiDoSave(){
var OldVal=jslGetValue("uiPostAuraEnabled")=="1";
var CurVal=jslGetChecked("uiView_AuraActivated")?"1":"0";
if (OldVal==CurVal)
return;
if(jslGetChecked("uiView_AuraActivated")) {
jslEnable("uiAuraSetActiv");
}else{
jslDisable("uiAuraSetActiv");
}
jslSetValue("uiPostAuraEnabled", CurVal);
jslEnable("uiPostAuraEnabled");
if (jslGetChecked("uiView_AuraActivated")) {
jslSubmitFormEx("", "aura", "status");
} else {
jslEnable("uiPostSpeicher");
jslEnable("uiPostDrucker");
jslEnable("uiPostOther");
jslSubmitFormEx("", "auraactiv", "status");
}
}
function uiDoChangeAura()
{
jslEnable("btnSave");
}
</script>
