skins="$(ls /usr/share/skin)"
for skin in $skins; do
	check "$MOD_SKIN" $skin:${skin}
done

sec_begin 'Web interface'

cgi_print_radiogroup_service_starttype \
	"httpd" "$MOD_HTTPD" "Web interface start type" "" 1

cgi_print_textline_p "httpd_user" "$MOD_HTTPD_USER" 15 "Username:" \
	'<a href="/cgi-bin/passwd.cgi" target="_blank">change password</a>'
cgi_print_textline_p "httpd_port" "$MOD_HTTPD_PORT" 5 "Port:"

cat << EOF
<h2>Advanced settings</h2>
<p>
Mounted partitions on:
EOF

cgi_print_checkbox "mounted_sub" "$MOD_MOUNTED_SUB" "Submenu"
cgi_print_checkbox "mounted_main" "$MOD_MOUNTED_MAIN" "Mainpage"
cgi_print_checkbox "mounted_umount" "$MOD_MOUNTED_UMOUNT" "with buttons"

cat << EOF
</p>
EOF
if [ -r "/usr/lib/cgi-bin/mod/box_info.cgi" -o -r "/usr/lib/cgi-bin/mod/info.cgi" ]; then
	echo '<p> Additional status pages:'

	if [ -r "/usr/lib/cgi-bin/mod/box_info.cgi" ]; then
		cgi_print_checkbox "show_box_info" "$MOD_SHOW_BOX_INFO" "Box info"
	fi
	if [ -r "/usr/lib/cgi-bin/mod/info.cgi" ]; then
		cgi_print_checkbox "show_freetz_info" "$MOD_SHOW_FREETZ_INFO" "Freetz info"
	fi

	echo "</p>"
fi

cat << EOF
<p>Skin selection:
EOF
for skin in $skins; do
	skin_nice_name="$(echo -n "${skin:0:1}" | tr [:lower:] [:upper:])${skin:1}"
	echo "<input id=\""$skin"\" type=\"radio\" name=\"skin\" value=\""$skin"\" "$(eval echo \$${skin}_chk)"><label for=\""$skin"\"> "$skin_nice_name"</label>"
done

cgi_print_textline_p "cgi_width" "$MOD_CGI_WIDTH" 4 "Width of the main content area:"
cgi_print_checkbox_p "show_memory_usage" "$MOD_SHOW_MEMORY_USAGE" "Show memory usage"

sec_end
