#!/bin/sh


. /usr/lib/libmodcgi.sh

sec_begin 'Start type'

cgi_print_radiogroup_service_starttype \
	"enabled" "$DROPBEAR_ENABLED" "" "" 1

sec_end
sec_begin 'Public key authentication'

cat << EOF
<ul>
<li><a href="$(href file authorized-keys authorized_keys)">Edit authorized_keys</a></li>
</ul>
EOF

sec_end
sec_begin 'SSH server'

cat << EOF
<h2>The SSH server is listening on:</h2>
EOF
cgi_print_textline_p "port" "$DROPBEAR_PORT" 5 "Port:"
cat << EOF
<h2>Login</h2>
<p>
EOF

cgi_print_checkbox_br "pwdauth" "$DROPBEAR_PWDAUTH" "Allow password login"
cgi_print_checkbox_br "rootonly" "$DROPBEAR_ROOTONLY" "Allow only root login"

cat << EOF
<p style="font-size:10px;">Please note that the FRITZ!Box does not support normal user management. The files /etc/passwd and /etc/shadow have to be saved with <b>modsave</b>. Please activate the support for regular users only if you know what you are doing.</p>
<h2>Additional command-line options (for experts):</h2>
EOF
cgi_print_textline_p "options" "$DROPBEAR_OPTIONS" 20/255 "Options:"

sec_end
