#!/bin/sh


. /usr/lib/libmodcgi.sh

sec_begin 'Start type'

cgi_print_radiogroup_service_starttype \
	"enabled" "$INETD_ENABLED" "" "" 0

sec_end

sec_begin 'Internet 'super-server' (inetd)'

if [ -d /proc/sys/net/ipv6 ] || find /lib/modules/*-*/kernel/net/ipv6 -maxdepth 1 -name ipv6.ko >/dev/null 2>&1; then
	cgi_print_checkbox_p "ipv6_support" "$INETD_IPV6_SUPPORT" \
		"Enable IPv6 support."
fi

cat << EOF
<h2>Additional command-line options (for experts):</h2>
EOF
cgi_print_textline_p "options" "$INETD_OPTIONS" 20/255 "Options: "

sec_end
