EXTRA_REG=/mod/etc/reg/extra.reg
[ -e "$EXTRA_REG" ] || touch "$EXTRA_REG"

IFS='|'
set -- $(grep "^$PACKAGE|.*|$ID\$" "$EXTRA_REG")
IFS=$OIFS
sec=${3:-2}

cgi --id="extra:$PACKAGE/$ID" --help="/packages/$PACKAGE#$ID"

if [ "$sec_level" -gt "$sec" ]; then
	cgi_begin 'Extras'
	echo '<h1>Additional script</h1>'
	print_warning 'This script is not available at the current security
			level!'
	back_button --title="Goto extras" mod extras
	cgi_end
	exit
fi

path="$PACKAGE/$ID"
script="/mod/usr/lib/cgi-bin/$path.cgi"
if [ -x "$script" ]; then
	"$script"
else
	cgi_error "Additional script '$path.cgi' not found."
fi
