echo "<h1>$CAPTION</h1>"
[ -n "$DESCRIPTION" ] && echo "<p>$DESCRIPTION</p>"

if ! allowed; then
	print_access_denied
elif $readonly; then
	print_info 'Read-only file. It may not be modified.'
fi

eval "$CONFIG_PREPARE"
case $CONFIG_TYPE in
	text)
		echo "<form method='post'>"
		echo -n "<div class='textwrapper'><textarea name='content' rows='$TEXT_ROWS' cols='60' wrap='off' $($readonly && echo "readonly")>"
		[ -r "$CONFIG_FILE" ] && html < "$CONFIG_FILE"
		echo '</textarea></div>'
		if ! $readonly; then
			echo '<div class="btn"><input type="submit" value="Apply"></div>'
		fi
		echo '</form>'
		;;
	list)
		;;
	*)
		print_error "unknown type '$CONFIG_TYPE'"
		;;
esac
