#! /bin/sh


. /usr/lib/libmodcgi.sh

. /mod/etc/conf/mod.cfg

cgi --id=firmware_update
cgi_begin 'external-file update'

cat << EOF
<script type=text/javascript>
function CheckInput(form) {
	file_selector=form.elements[0];
	target_text=form.elements[1];
	delete_chk=form.elements[2];
	ex_start=form.elements[3];
	if (file_selector.value=="") {
		alert("No external-file provided!");
		return false;
	}
	file_selector.name=target_text.value;
	if (delete_chk.checked) {
		file_selector.name += ":delete_oldfiles";
	}
	if (ex_start.checked) {
		file_selector.name += ":external_start";
	}
	return true;
}
</script>

<h1>Upload external-file</h1>

<p>
First choose an external-file for upload. This
file will be loaded to and extracted on the Box. You should
upload the appropriate firmware afterwards.
</p>

<form action="do_external.cgi" method=POST enctype="multipart/form-data" onsubmit="return CheckInput(document.forms[0]);">
	<p>External-file <input type=file size=50 id="ex_file"></p>
	<p>Target directory <input type="textfield" size=50 name="the_target" value="$MOD_EXTERNAL_DIRECTORY"></p>
	<p><input type="checkbox" name="delete" value="delete">Delete old external files</p>
	<p><input type="checkbox" name="ex_start" value="ex_start">Start external services after update</p>
	<input type=submit value="Upload file" style="width:200px">
</form>
EOF

cgi_end
