<? include ../html/de/js/ajaxutility.js ?>
var ajaxTimer = 2000; /* Timer of the AJAX Callback! */
var rfiValue = -127; /*0xFFFFFFFF-127+1*/
var pilotImgPath = "../html/de/images/bitSnr_pilot.gif"; /* Path to pilot image */
var rfiImgPath = "../html/de/images/white.gif"; /* Path for rfi image */
var snrImgPath = "../html/de/images/yellow.gif"; /* Path for snr image */
var uploadImgPath = "../html/de/images/green.gif"; /* Path for upload image */
var downloadImgPath = "../html/de/images/blue.gif"; /* Path for download image */
var downloadL2ImgPath = "../html/de/images/lightblue.gif"; /* Path for download image */
var snrTDNodes; /* Array with all snr-TD nodes. */
var bitsTDNodes; /* Array with all bits-TD nodes. */
var clearDisplay=0;
var oldTrainingType=0;
function ajaxInitSpectrum( xmlDocument )
{
var snrTRNode = document.getElementById("dslSpectrumSNR");
var bitsTRNode = document.getElementById("dslSpectrumBITS");
/* search all td for snr!*/
snrTDNodes = snrTRNode.getElementsByTagName('td');
/* search all td for bits */
bitsTDNodes = bitsTRNode.getElementsByTagName('td');
ajaxInternetSpectrumCB( xmlDocument );
}
/* Callback of the AjaxObject */
function ajaxInternetSpectrumCB( xmlDocument )
{
var node = xmlDocument.documentElement;
var trainingNodes = node.getElementsByTagName('TRAINING');
if( trainingNodes.length > 0 )
{
if( clearDisplay )
{
/* Check, if we would like to display another range! */
ajaxSpectrumDisplayReset(trainingNodes[0].getAttribute("state"));
clearDisplay=0;
}
ajaxSpectrumUpdateSNR( node.getElementsByTagName('SNRDIAGRAM')[0] );
ajaxSpectrumUpdateBits( node.getElementsByTagName('BITSDIAGRAM')[0] );
}
else
{
if( !clearDisplay )
{
ajaxSpectrumClearDisplays();
clearDisplay=1;
}
}
//window.setTimeout('getXml("/cgi-bin/webcm?getpage=../html/de/internet/bitsdaten.xml", ajaxInternetSpectrumCB)', ajaxTimer);
window.setTimeout(makeAjaxFunc("bitsdaten.xml",ajaxInternetSpectrumCB), ajaxTimer);
}
function makeAjaxFunc(xmlFile,callback) {
var url = "/cgi-bin/webcm?getpage=../html/de/internet/"+xmlFile;
url += "&sid=<? echo $var:sid ?>";
return function () {
return getXml(url,callback);
}
}
function ajaxSpectrumDisplayReset( state )
{
var snrLegendNode = document.getElementById("dslSpectrumSNRCarriers");
var bitLegendNode = document.getElementById("dslSpectrumBITSFrequencies");
var bitLegendCarrierNode = document.getElementById("dslSpectrumBITSCarriers");
var snrTRNode = document.getElementById("dslSpectrumSNR");
var bitsTRNode = document.getElementById("dslSpectrumBITS");
var trainingType;
if(state <= 5 )
trainingType = 0;
else if (state == 6 )
trainingType = 1;
else if (state == 7 )
trainingType = 2;
else
{
return;
}
if( trainingType == oldTrainingType )
{
return;
}
/* Set SNR and BITS Legend after reconnect! */
if ( trainingType == 0 )
{
snrLegendNode.src="../html/de/images/bitSnr_carriers.gif";
bitLegendCarrierNode.src="../html/de/images/bitSnr_carriers.gif";
bitLegendNode.src="../html/de/images/bitSnr_frequencies.gif";
}
else if ( trainingType == 1 )
{
snrLegendNode.src="../html/de/images/bitSnr_carriers_adsl2p.gif";
bitLegendNode.src="../html/de/images/bitSnr_frequencies_adsl2p.gif";
bitLegendCarrierNode.src="../html/de/images/bitSnr_carriers_adsl2p.gif";
}
else if ( trainingType == 2 )
{
snrLegendNode.src="../html/de/images/bitSnr_carriers_vdsl.gif";
bitLegendNode.src="../html/de/images/bitSnr_frequencies_vdsl.gif";
bitLegendCarrierNode.src="../html/de/images/bitSnr_carriers_vdsl.gif";
}
var snrTRNode = document.getElementById("dslSpectrumSNR");
var bitsTRNode = document.getElementById("dslSpectrumBITS");
/* If Connectiontype have another amount of carriers, change html page! */
if( oldTrainingType == 0 ) /* 256 => 512 Carrier */
{
var i;
var lastSnrNodes = new Array();
var lastBitNodes = new Array();
lastSnrNodes[lastSnrNodes.length]=snrTRNode.removeChild( snrTRNode.lastChild );
lastSnrNodes[lastSnrNodes.length]=snrTRNode.removeChild( snrTRNode.lastChild );
lastBitNodes[lastBitNodes.length]=bitsTRNode.removeChild( bitsTRNode.lastChild );
lastBitNodes[lastBitNodes.length]=bitsTRNode.removeChild( bitsTRNode.lastChild );
/* Set width to 1 */
for( i=1; i<257; i++ )
{
bitsTDNodes[i].firstChild.setAttribute("width", 1);
bitsTDNodes[i].setAttribute("width", 1);
snrTDNodes[i].firstChild.setAttribute("width", 1);
snrTDNodes[i].setAttribute("width", 1);
}
var snrNodeToCopy = snrTDNodes[1];
var bitNodeToCopy = bitsTDNodes[1];
/* Insert 256 TD Elements in the tables */
for( i=0; i<256; i++)
{
var newNode = snrNodeToCopy.cloneNode(true);
snrTRNode.appendChild(newNode);
newNode = bitNodeToCopy.cloneNode(true);
bitsTRNode.appendChild(newNode);
}
while(lastSnrNodes.length)
{
snrTRNode.appendChild(lastSnrNodes[lastSnrNodes.length-1]);
lastSnrNodes.length-=1;
}
while(lastBitNodes.length)
{
bitsTRNode.appendChild(lastBitNodes[lastBitNodes.length-1]);
lastBitNodes.length-=1;
}
/* search all td for snr!*/
snrTDNodes = snrTRNode.getElementsByTagName('td');
/* search all td for bits */
bitsTDNodes = bitsTRNode.getElementsByTagName('td');
}
else if ( trainingType == 0 ) /* 512 => 256 Carrier */
{
var i;
/* Delete 256 TD Elements in the tables */
for( i=1; i<257; i++)
{
snrTRNode.removeChild( snrTDNodes[i] );
bitsTRNode.removeChild( bitsTDNodes[i] );
}
/* search all td for snr!*/
snrTDNodes = snrTRNode.getElementsByTagName('td');
/* search all td for bits */
bitsTDNodes = bitsTRNode.getElementsByTagName('td');
for( i=1; i<257; i++ )
{
bitsTDNodes[i].firstChild.setAttribute("width", 2);
bitsTDNodes[i].setAttribute("width", 2);
snrTDNodes[i].firstChild.setAttribute("width", 2);
snrTDNodes[i].setAttribute("width", 2);
}
}
oldTrainingType = trainingType;
}
function ajaxSpectrumClearDisplays( )
{
for( var i=1; i < snrTDNodes.length-1; i++ )
{
snrTDNodes[i].firstChild.setAttribute("height", "0") ;
bitsTDNodes[i].firstChild.setAttribute("height", "0") ;
}
}
function ajaxSpectrumUpdateBits( xmlDocument )
{
var valueNode = xmlDocument.getElementsByTagName('VALUES')[0];
var bitsValueArray = valueNode.firstChild.data.split(",");
var pilot = xmlDocument.getElementsByTagName('PILOT')[0].getAttribute("tone");
var upstreams = xmlDocument.getElementsByTagName('UPSTREAM');
var up_i=0;
var up_start, up_end, down_start, down_end;
var downstreams = xmlDocument.getElementsByTagName('DOWNSTREAM');
var L2Mode= xmlDocument.getElementsByTagName('L2Mode')[0].getAttribute("on");
var down_i=0;
var downloadModeImgPath;
if( L2Mode == "true" )
downloadModeImgPath=downloadL2ImgPath;
else
downloadModeImgPath=downloadImgPath;
/* Initialze up- and downstream band */
if( upstreams.length )
{
up_start=upstreams[up_i].getAttribute("start");
up_end=upstreams[up_i].getAttribute("end");
up_i++;
}
else
{
up_start=32000;
up_end=32000;
}
if( downstreams.length )
{
down_start=downstreams[down_i].getAttribute("start");
down_end=downstreams[down_i].getAttribute("end");
down_i++;
}
else
{
down_start=32000;
down_end=32000;
}
for( var i = 0; i < bitsValueArray.length ; i++ )
{
height = bitsValueArray[i] * 6;
if( height > 90 )
height = 90;
if( i == pilot )
{
bitsTDNodes[i+1].firstChild.setAttribute("src", pilotImgPath);
bitsTDNodes[i+1].firstChild.setAttribute("height", "91") ;
}
else if( i >= up_start && i <= up_end )
{
bitsTDNodes[i+1].firstChild.setAttribute("src", uploadImgPath);
bitsTDNodes[i+1].firstChild.setAttribute("height", height);
}
else if( i >= down_start && i <= down_end )
{
bitsTDNodes[i+1].firstChild.setAttribute("src", downloadModeImgPath);
bitsTDNodes[i+1].firstChild.setAttribute("height", height);
}
else
{
if( up_i < upstreams.length )
{
up_start=upstreams[up_i].getAttribute("start");
up_end =upstreams[up_i].getAttribute("end");
up_i++;
}
if( down_i < downstreams.length )
{
down_start=downstreams[down_i].getAttribute("start");
down_end =downstreams[down_i].getAttribute("end");
down_i++;
}
}
}
}
function ajaxSpectrumUpdateSNR( xmlDocument )
{
var valueNode = xmlDocument.getElementsByTagName('VALUES')[0];
var snrValueArray = valueNode.firstChild.data.split(",");
var height;
for( var i = 0; i < snrValueArray.length ; i++ )
{
height = parseInt( snrValueArray[i], 10 );
if( height == rfiValue )
{
snrTDNodes[i+1].firstChild.setAttribute("src", rfiImgPath);
snrTDNodes[i+1].firstChild.setAttribute("height", "89") ;
}
else
{
height = 90 * height / 127;
if( height > 90 )
height = 90;
snrTDNodes[i+1].firstChild.setAttribute("src", snrImgPath);
snrTDNodes[i+1].firstChild.setAttribute("height", height);
}
}
}
<? if eq `<? query sar:status/dsl_train_state ?>` `6` `oldTrainingType=1;` ?>
<? if eq `<? query sar:status/dsl_train_state ?>` `7` `oldTrainingType=2;` ?>
//window.setTimeout('getXml("/cgi-bin/webcm?getpage=../html/de/internet/bitsdaten.xml", ajaxInitSpectrum)', ajaxTimer);
window.setTimeout(makeAjaxFunc("bitsdaten.xml",ajaxInitSpectrum), ajaxTimer);
