<!-- ../internet/iproute.js -->
<style type="text/css">
<!--
#tRoute td {padding: 1px 5px;}
-->
</style>
<script type="text/javascript">
<? include ../html/de/js/val.js ?>
<? include ../html/de/js/jsl.js ?>
var g_mldIpaddrFormatPost = "The entry \"%1%IPAddresse%\" is not a valid IP address.";
var g_mldNetmaskPost = "The subnet mask entered is illegal.";
var g_mldDefault = "The network and network mask must have the value 0.0.0.0 to set the default route.";
var g_mldDefault2 = "The default route can be set only once. Please edit the existing entry.";
var g_mld169254 = "The IP address 169.254.*.* may not be used.";
var def_exists = false;
<? multiquery route:settings/route/list(netmask) `
<? if neq `$var:route` `$1` `
<? if eq `$2` `0.0.0.0` `
def_exists = true;
` ?>
` ?>
` ?>
function uiDoOnLoad() {
document.title = "FRITZ!Box Static IP Route";
jslSetChecked("uiViewActivate", jslGetValue("uiPostActivated")=="1");
jslCopyValue("uiViewIp","uiPostIp");
jslCopyValue("uiViewNetmask","uiPostNetmask");
jslCopyValue("uiViewGateway","uiPostGateway");
}
function uiDoValidate() {
if (valIpadrFormatId("uiPostIp") == false) {alert( jslPrintf(g_mldIpaddrFormatPost,jslGetValue("uiPostIp"))); return false;}
if (valIpadrFormatId("uiPostNetmask") == false) {alert(g_mldNetmaskPost); return false;}
if (!(jslGetValue("uiPostIp")=="0.0.0.0" && jslGetValue("uiPostNetmask")=="0.0.0.0"))
{
if (valNetmaskId("uiPostNetmask") == false) {alert(g_mldNetmaskPost); return false;}
}
if (jslGetValue("uiPostNetmask")=="0.0.0.0" && def_exists) {alert(g_mldDefault2); return false;}
if ((jslGetValue("uiPostIp").substr(0, 7) == "169.254") && (jslGetValue("uiPostNetmask").substr(0, 7) == "255.255")) {alert(g_mld169254); return false;}
if ((jslGetValue("uiPostIp")=="0.0.0.0" && jslGetValue("uiPostNetmask")!="0.0.0.0") ||
((jslGetValue("uiPostNetmask")=="0.0.0.0") && (jslGetValue("uiPostIp")!="0.0.0.0")))
{
alert(g_mldDefault);
return false;
}
if (valIpadrFormatId("uiPostGateway") == false) {
alert(jslPrintf(g_mldIpaddrFormatPost,jslGetValue("uiPostGateway")));
return false;
}
return true;
}
function uiDoSave() {
if (jslGetChecked("uiViewActivate")) {
jslSetValue("uiPostActivated","1");
} else {
jslSetValue("uiPostActivated","0");
}
jslCopyValue("uiPostIp","uiViewIp");
jslCopyValue("uiPostNetmask","uiViewNetmask");
jslCopyValue("uiPostGateway","uiViewGateway");
if (uiDoValidate() == true) {
jslSetValue("uiPostTabNr","3");
jslFormSubmitEx(jslGetValue("uiPostMenu"), "iprlist", "iproute");
}
}
function uiDoCancel() {
jslSetValue("uiPostTabNr","3");
jslGoTo(jslGetValue("uiPostMenu"), "iprlist");
}
function uiDoHelp() {
jslPopHelp("hilfe_iproute");
}
function valIpadrFormatId (id) {
var addr = jslGetValue(id);
var pattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
if (addr.match(pattern) == null) return false;
pattern.exec(addr);
if (RegExp.$1>255) return false;
if (RegExp.$2>255) return false;
if (RegExp.$3>255) return false;
if (RegExp.$4>255) return false;
return true;
}
function valNetmaskId (id) {
var mask = jslGetValue(id);
var str = IpToBitstring(mask);
if (str.match(/^1+0*$/) == null) return false;
return true;
}
function DecToBin(num) {
var ret = '';
for (var i=7; i>=0; i--) {
if (((1<<i)&num)!=0) ret+='1';
else ret+='0';
}
return ret;
}
function IpToBitstring(mask) {
var pattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
var str = '';
pattern.exec(mask);
str+=DecToBin(RegExp.$1);
str+=DecToBin(RegExp.$2);
str+=DecToBin(RegExp.$3);
str+=DecToBin(RegExp.$4);
return str;
}
</script>
