<!-- ../system/usbdisk.js -->
<style type="text/css">
#t1 td {padding: 1px 3px;}
.ErrorMsg {color: #0066CC;}
</style>
<script type="text/javascript">
<? include ../html/de/js/jsl.js ?>
<? include ../html/de/js/val.js ?>
var g_mldPassword = "The password and the confirmation do not match.";
var g_mldNoPassword = "A USB mass storage device can only be released for forwarding in the Internet when password protection is enabled.";
var g_mldEmptyPassword = "Enter a password.";
var g_mldNameChar = "Illegal characters were entered. The password may contain numerals and letters (no umlauts). Click Help for further information.";
function uiDoOnLoad() {
document.title = "FRITZ!Box USB Storage";
var n = parseInt("<? query ctlusb:settings/storage-part/count ?>", 10) || 0;
var useFtp = jslGetValue("uiPostUseFtp");
jslDisplay("UseFtp",useFtp == "0");
jslSetChecked("uiViewUseFtp", useFtp == "1");
<? multiquery forwardrules:settings/rule/list(description,activated) `
if ("$2" == "FTP-Server" && "$3" == "1")
{
jslDisplay("uiShowFtpServerExplain", true);
jslDisable("uiViewFtpServer");
}
` ?>
uiDoRights(jslGetValue("uiPostRights") == "0" ? 1:0);
var str = jslGetValue("uiPostPassword");
jslSetValue("uiViewPassword", str);
jslSetChecked("uiViewUsePassword", str.length > 0);
OnUsePassword();
if (n > 0) {
jslDisplay("FtpServer", jslGetChecked("uiViewUseFtp"));
jslSetChecked("uiViewFtpServer", jslGetValue("uiPostFtpServer") == "1");
var ftpAddress = GetFtpAdr();
if (!ftpAddress) {
jslDisplay("uiShowFtpAddress", false);
}
SetSpanText("uiViewFtpAdr", ftpAddress);
jslDisplay("uiViewNoDyndns", jslGetValue("uiPostAccountEnabled") != "1");
}
}
function OnUseFtp () {
var n = parseInt("<? query ctlusb:settings/storage-part/count ?>", 10) || 0;
jslDisplay("FtpServer", jslGetChecked("uiViewUseFtp") && n > 0);
}
function DoValidateKey(key) {
for (var i=0; i<key.length; i++) {
var c = key.charCodeAt(i);
if ((c < 33 || c > 126) || c==38 || c==58) {return false;}
}
return true;
}
function uiDoSave() {
if (jslGetChecked("uiViewUsePassword")) {
var passwort = jslGetValue("uiViewPassword");
if (passwort == "") {alert(g_mldEmptyPassword); return;}
if (passwort !="****")
{
if (!DoValidateKey(passwort))
{
alert(g_mldNameChar);
return;
}
jslCopyValue("uiPostPassword", "uiViewPassword");
}
} else {
jslSetValue("uiPostPassword", "");
}
jslSetValue("uiPostUseFtp", jslGetChecked("uiViewUseFtp") ? "1":"0");
jslSetValue("uiPostRights", jslGetChecked("uiViewRead") ? "1":"0");
if (!jslGetChecked("uiViewUsePassword") && jslGetChecked("uiViewFtpServer")) {
alert(g_mldNoPassword); return;
}
jslSetValue("uiPostFtpServer", jslGetChecked("uiViewFtpServer") ? "1":"0");
jslEnable("uiPostFtpServer");
jslSubmitFormEx("internet", "usbdisk_freigabe");
}
function uiDoCancel() {
jslGoTo("internet", "usbdisk_freigabe");
}
function uiDoHelp() {
jslPopHelp("hilfe_usb_disk_freigaben");
}
function uiDoRights (n) {
jslSetChecked("uiViewRead", n==0);
jslSetChecked("uiViewReadWrite", n==1);
}
function OnUsePassword () {
var b = jslGetChecked("uiViewUsePassword");
jslSetEnabled("uiViewPassword", b);
jslSetEnabled("uiViewPassword2", b);
if (b) {
jslDisplay("uiViewHinweis1", true);
jslDisplay("uiViewHinweis2", true);
}
}
function GetFtpAdr () {
var adr = getDomain();
if (adr) {
return "ftp://ftpuser@" + adr;
}
return "";
}
function OnFtpServer () {
if (!jslGetChecked("uiViewUsePassword") && jslGetChecked("uiViewFtpServer")) {
jslSetChecked("uiViewFtpServer", false);
alert(g_mldNoPassword);
}
}
function IsDslModem () {
var conntype = "<? query connection0:settings/type ?>";
var atamode = "<? query box:settings/ata_mode ?>";
var encaps = "<? query sar:settings/encapsulation ?>";
return (atamode == "0") && (conntype == "bridge") && (encaps == "dslencap_pppoe");
}
function IsIpClient () {
var conntype = "<? query connection0:settings/type ?>";
var atamode = "<? query box:settings/ata_mode ?>";
return (atamode == "1") && (conntype == "bridge");
}
function DiskLink (name) {
if ("<? query ctlusb:settings/ftp-server-enabled ?>" != "1")
return name;
var adr = "";
if ("<? query ctlusb:settings/ftp-password ?>" != "") adr = "ftpuser@";
if (IsIpClient()) {
adr += "<? query connection0:status/ip ?>";
} else {
adr += "<? query interfaces:settings/lan0/ipaddr ?>";
}
return "<a href=\"ftp://"+adr+"/"+name+"\" target=\"_blank\">"+name+"</a>";
}
function getDomain() {
var ddnsactiv= "<? query ddns:settings/account0/activated ?>";
var ddnspass= "<? query ddns:settings/account0/password ?>";
var ddnsusername= "<? query ddns:settings/account0/username ?>";
var ddnsprovider= "<? query ddns:settings/account0/ddnsprovider ?>";
var ddnsdomain= "<? query ddns:settings/account0/domain ?>";
if (ddnsactiv == "1" && ddnspass != "" && ddnsusername != "" && ddnsprovider != "") {
return ddnsdomain;
}
var iponly = "<? query connection0:pppoe:status/ip ?>";
if (iponly == "-" || iponly == "er" || iponly == "0.0.0.0") {
iponly = "";
}
return iponly;
}
function uiDoPortFwPage() {
jslGoTo("internet", "portfw");
}
function uiDoDyndnsPage() {
jslGoTo("internet", "dyndns");
}
function uiDoRemoteHttpsPage () {
jslGoTo("internet", "remote_https");
}
function uiDoVpnPage () {
jslGoTo("internet", "vpn");
}
</script>
