<!-- ../tr69_autoconfig/tr69_config_user.js -->
<style type="text/css">
.left_35 {text-align: right; margin-top: 10px;}
#t1 {height: 12px; font-size: 13px;}
#t1 td {padding: 1px 2px;}
#t1 .c1 {width: 50px; text-align: right;}
#t1 .c2 {width: 10px; text-align: center;}
#t1 .c3 {width: 70px; text-align: left;}
</style>
<script type="text/javascript" src="../html/de/js/md5.js"></script>
<script type="text/javascript">
<? include ../html/de/js/jsl.js ?>
var g_mldLeeresKennwort = "The \"Password\" field may not be left blank.";
var g_mldKennwortCheck = "The password and the confirmation do not match.";
var g_mldIllegalChar = "The password entered contains illegal characters. See the Help for a list of all valid characters for a FRITZ!Box password.";
function validatePassword(pw) {
var badPw = false;
for (var i = 0, len = pw.length; i < len; i++) {
var c = pw.charCodeAt(i);
if (c < 32 || c > 126) {
badPw = true;
}
}
if (badPw) {
alert(g_mldIllegalChar);
return false;
}
return true;
}
function makeDots(str) {
var newStr = "";
for (var i = 0, len = str.length; i < len; i++) {
if (str.charCodeAt(i) > 255) {
newStr += ".";
}
else {
newStr += str.charAt(i);
}
}
return newStr;
}
function setResponse(pw) {
var challenge = "<? query security:status/challenge ?>";
var str = challenge + "-" + makeDots(pw);
var response = challenge + "-" + hex_md5(str);
var frm = document.forms["uiPostForm"].elements["login:command/response"];
frm.value = response;
frm.disabled = false;
}
function uiDoOnLoad() {
document.title = "FRITZ!Box password";
jslSetChecked("uiViewUsePassword",true);
OnUpdateUsePassword();
}
function uiDoOk() {
if (!checkPw()) {
return;
}
setPostPw();
doStartFonDeviceWizard();
}
function uiDoCancel() {
if (!checkPw()) {
return;
}
setPostPw();
OpenSecondWindow(true);
jslSubmitFormEx("home", "home");
}
function doStartFonDeviceWizard() {
jslSetValue( "uiPopupUrl", OpenSecondWindow(false));
jslSetValue("uiPostPageMaster", "home");
<? if eq '$var:usePSTN' 1 `
jslSubmitFormEx("fon_config", "fon_config_msn", "");
` `
jslSubmitFormEx("fon_config", "fon_config_Start", "");
` ?>
}
function checkPw() {
if (jslGetChecked("uiViewUsePassword")) {
if (jslGetValue("uiViewPassword").length == 0) {
alert(g_mldLeeresKennwort);
return false;
}
if (jslGetValue("uiViewPassword") != jslGetValue("uiViewPasswordConfirm")) {
alert(g_mldKennwortCheck);
return false;
}
if (!validatePassword(jslGetValue("uiViewPassword"))) {
return;
}
}
return true;
}
function setPostPw() {
if (jslGetChecked("uiViewUsePassword")) {
jslCopyValue("uiPostPassword","uiViewPassword");
jslEnable("uiPostPassword");
var writeonly = false;
if (!writeonly) {
setResponse(jslGetValue("uiViewPassword"));
}
return true;
}
return false;
}
function OnUpdateUsePassword() {
if (jslGetChecked("uiViewUsePassword")) {
jslEnable("uiViewPassword");
jslEnable("uiViewPasswordConfirm");
uiFocus("uiViewPassword");
} else {
jslDisable("uiViewPassword");
jslDisable("uiViewPasswordConfirm");
}
}
function OpenSecondWindow(openItNow) {
var url="";
<? if eq `<? query env:status/OEM ?>` 1und1 `
url = "<? query tr069:settings/ProvSucceededURL ?>";
` ?>
if(url=="" || url=="er" || url=="err" || url==" " || url=="-" ){
var realm = jslGetValue( "uiPostPppUsername");
if (realm.substring(0, 6) == "1und1/") {
realm = "1und1";
} else if (realm.substring(0, 4) == "GMX/") {
realm = "GMX";
} else {
realm = "";
}
url = "http://www.1und1.de/dslstart/index.php?label="+realm;
}
if ( openItNow == true) {
var ppWindow = window.open( url, "UI_ServiceCenter_1");
return "";
} else {
return url;
}
}
function uiDoHelp() {
jslPopHelp("hilfe_kennwort");
}
</script>
