<!-- ../enhsettings/enhsettings.js -->
<style type="text/css">
.lotse1 {font-size: 16px;}
.titel1 {font-size: 20px; margin-bottom:10px;}
.lotse_explain {
margin-left: 11px;
margin-bottom:20px;
margin-top:6px;
}
#divEnhsettings {
width:100%;
margin:0;
}
#divEnhsettings div.enhLeft {
width:48%;
clear:both;
float:left;
}
#divEnhsettings div.enhRight {
width:48%;
margin-left:50%;
}
#divEnhsettings div a {
padding-left:5px;
}
</style>
<script type="text/javascript">
<? setvariable var:showInternet 1 ?>
<? setvariable var:showTelefon 0 ?>
<? if eq $var:isIsdnTE 1 `
<? setvariable var:showTelefon 1 ?>
` ?>
<? if eq $var:isPots 1 `
<? setvariable var:showTelefon 1 ?>
` ?>
<? setvariable var:showTelefon 1 ?>
<? setvariable var:showUsb 0 ?>
<? setvariable var:showUsb 1 ?>
<? setvariable var:showNAS 0 ?>
<? setvariable var:showWlan 0 ?>
<? setvariable var:showWlan 1 ?>
<? setvariable var:showDect 0 ?>
<? setvariable var:showSystem 1 ?>
<? setvariable var:explainKids 0 ?>
<? if eq $var:isKids 1 `
<? setvariable var:explainKids 1 ?>
` ?>
<? setvariable var:explainPushmail 0 ?>
<? if eq $var:isMailer2 1 `
<? setvariable var:explainPushmail 1 ?>
` ?>
<? setvariable var:explainFestnetz 0 ?>
<? if eq $var:isIsdnTE 1 `
<? setvariable var:explainFestnetz 1 ?>
` ?>
<? if eq $var:isPots 1 `
<? setvariable var:explainFestnetz 1 ?>
` ?>
<? setvariable var:explainRUL 0 ?>
<? setvariable var:explainRUL 1 ?>
<? setvariable var:dectPage 'setting' ?>
<? include ../html/de/js/jsl.js ?>
function buildMenu() {
var menu = {
internet: {
show: "<? print $var:showInternet ?>" == "1",
title: "Internet",
href: "javascript:jslGoTo('internet','inetstat')",
explain:
<? if eq $var:explainKids 1 `
"Here you control your Internet connection by means of settings like child protection, port forwarding and Dynamic DNS."
` `
"Here you control your Internet connection by means of settings like port forwarding and Dynamic DNS."
` ?>
},
telefon: {
show: "<? print $var:showTelefon ?>" == "1",
title: "Telephony",
href: "javascript:jslGoTo('fon','foncalls')",
explain:
<? if eq $var:explainFestnetz 1 `
<? if eq $var:explainRUL 1 `
"Here you make settings that concern the Internet and fixed-line telephony: defining call diversion, enabling call blocks, and configuring answering machines."
` `
"Here you make settings that concern the Internet and fixed-line telephony: enabling call blocks, and configuring answering machines."
` ?>
` `
<? if eq $var:explainRUL 1 `
"Here you make settings that concern Internet telephony: defining call diversion, enabling call blocks, and configuring answering machines."
` `
"Here you make settings that concern Internet telephony: enabling call blocks, and configuring answering machines."
` ?>
` ?>
},
usb: {
show: "<? print $var:showUsb ?>" == "1",
title: "USB Devices",
href: "javascript:jslGoTo('usb','status')",
explain: "In this menu you assign access rights for your USB storage devices, and enable USB remote access and USB network storage devices."
},
nas: {
show: "<? print $var:showNAS ?>" == "1",
title: "Storage (NAS)",
href: "javascript:jslGoTo('nas','einstellungen')",
explain: "Discover all of the new features of the world of FRITZ!Box memory. Expand the memory capacity using the online memory feature."
},
wlan: {
show: "<? print $var:showWlan ?>" == "1",
title: "WLAN",
href: "javascript:jslGoTo('wlan','wlan')",
explain: "This menu is for all WLAN settings: from definition of transmitter power and access rights all the way to enabling encryption methods."
},
dect: {
show: "<? print $var:showDect ?>" == "1",
title: "DECT",
href: "javascript:jslGoTo('dect','<? echo $var:dectPage ?>')",
explain: "Here you receive an overview over your cordless telephones, configure new devices and make settings for the base station."
},
system: {
show: "<? print $var:showSystem ?>" == "1",
title: "System",
href: "javascript:jslGoTo('system','syslog')",
explain:
<? if eq $var:explainPushmail 1 `
"This menu offers settings options on networks, network devices and Expert Mode, as well as various convenience functions like Push Service and night service."
` `
"This menu offers settings options on networks, network devices and Expert Mode, as well as various convenience functions like night service."
` ?>
}
};
return menu;
}
function sortMenu(menu) {
var order = ['internet','telefon', 'usb', 'nas', 'wlan', 'dect','system'];
var toShow = [];
for (var i = 0; i < order.length; i++) {
if (menu[order[i]].show) {
toShow.push(order[i]);
}
}
var half = Math.floor((toShow.length+1)/2);
var leftColumn = toShow.slice(0, half);
var rightColumn = toShow.slice(half);
var result = [];
var isLeft = true;
for (var i = 0; i < leftColumn.length; i++) {
result.push(leftColumn[i]);
if (i < rightColumn.length) {
result.push(rightColumn[i]);
}
}
return result;
}
function divsEnhSettings() {
var menu = buildMenu();
var sorted = sortMenu(menu);
var str = [];
var isLeft = false;
for (var i = 0; i < sorted.length; i++) {
var m = menu[sorted[i]];
if (m.show) {
isLeft = !isLeft;
str.push("<div class=\"");
str.push(isLeft ? "enhLeft" : "enhRight");
str.push("\">");
str.push("<p class=\"lotse1\"><img src=\"../html/de/images/pfeil.gif\"><a href=\"");
str.push(m.href);
str.push("\">");
str.push(m.title);
str.push("</a></p>");
str.push("<p class=\"lotse_explain\">");
str.push(m.explain);
str.push("</p>");
str.push("</div>");
}
}
str.push("<div style=\"clear:both;\"></div>");
return str.join("");
}
function uiDoOnLoad() {
document.title = "FRITZ!Box Advanced Settings";
}
function uiDoCancel() {
jslGoTo("home", "home");
return;
}
function uiDoHelp() {
jslPopHelp("hilfe_konfig");
}
</script>
