function filterList(list, filterFunc) {
var result = [];
for (var i = 0, len = list.length; i < len; i++) {
if (filterFunc(list[i])) {
result.push(list[i]);
}
}
return result;
}
var initFoncontrol = false;
if (initFoncontrol) {
initFoncontrol = "<? query telcfg:settings/Foncontrol ?>";
}
var g_txt_Integriert = "integrated";
var g_txt_FaxMailDisplay = "Fax reception";
var g_txtIpPhone = "IP Telephone";
var g_txtTamDefaultName = "Answering Machine";
var g_txtFMini = "FRITZ!Mini";
var g_txtIsdnDefault = "Basic ISDN settings";
var g_fonSource = {
fon123: "fon123", // MSN/Port0,1,2
dect1: "dect1", // dect (alte Schnittstelle)
nthotdiallist: "nthotdiallist", // NTHotDialList für ISDN-Geräte
foncontrol: "foncontrol", // DECT neu & Minis
tam: "tam", // interne ABs
faxmail: "faxmail", // internes Fax
voipext: "voipext" // IP-Telefone
};
var g_fon = {
isIsdnDefault: function (fonDevice) {
return fonDevice.src == g_fonSource.nthotdiallist && fonDevice.idx == "0";
},
isUnpersonalizedMiniUser: function (fonDevice) {
return fonDevice.type == "mini" && fonDevice.idx == "0";
},
isIsdn: function(fonDevice) {
return fonDevice.src == g_fonSource.nthotdiallist;
},
getIcon: function (fonDevice) {
var fonType = (fonDevice.type || "").toLowerCase();
var notActive = typeof fonDevice.active != 'undefined' && !fonDevice.active;
switch (fonType) {
case 'fon':
case 'isdn':
return "Telefon-an-Fon-123.gif";
case 'tam':
if (notActive) {
return "Anrufbeantworter_grau.gif";
}
return "Anrufbeantworter.gif";
case 'ab':
return "Anrufbeantworter.gif";
case 'fax':
case 'faxmail':
return "Fax.gif";
case 'mini':
if ("1" != "<? query wlan:settings/ap_enabled ?>") {
return "Mini_grau.gif";
}
return "Mini.gif";
case 'dect':
if ("1" != "<? query dect:settings/enabled ?>") {
return "Mini_grau.gif";
}
return "Mini.gif";
case 'ipphone':
return "Mini.gif";
}
return "leer.gif";
}
};
function initFonDevList() {
g_fon.numbers = readFonNumbers();
g_fon.devices = readFonDevices();
sortByStrings(g_fon.devices, function (device){ return device.name || ""; });
}
function readFonNumbers() {
var nrs = {};
nrs.msn = [];
nrs.anyMSN = false;
nrs.anySIP = false;
nrs.sip = [];
nrs.tam = [];
nrs.pots = "<? query telcfg:settings/MSN/POTS ?>";
nrs.ntDefault = "<? query telcfg:settings/MSN/NTDefault ?>";
<? repeat [ 0 9 ] `
nrs.msn.push("<? query telcfg:settings/MSN/MSN$0 ?>");
if (!nrs.anyMSN && nrs.msn[nrs.msn.length-1]) {
nrs.anyMSN = true;
}
` ?>
<? multiquery telcfg:settings/SIP/list(MSN) `
nrs.sip.push("$2");
if (!nrs.anySIP && nrs.sip[nrs.sip.length-1])
{
nrs.anySIP = true;
}
` ?>
<? repeat [ 0 9 ] `
nrs.tam.push("<? query tam:settings/MSN$0 ?>");
` ?>
nrs.isSipAndMsn = {};
var msnLen = nrs.msn.length;
var sipLen = nrs.sip.length;
for (var m = 0; m < msnLen; m++) {
for (var s = 0; s < sipLen; s++) {
if (nrs.msn[m] && nrs.sip[s] && nrs.msn[m] == nrs.sip[s]) {
nrs.isSipAndMsn[nrs.msn[m]] = true;
}
}
}
return nrs;
}
function readFon123() {
var list = [];
var fonName, n, isFax, groupCall, fonType;
<? repeat [ 0 $var:AbCount [ `
fonName = "<? query telcfg:settings/MSN/Port$0/Name ?>";
isFax = "<? query telcfg:settings/MSN/Port$0/Fax ?>";
groupCall = "<? query telcfg:settings/MSN/Port$0/GroupCall ?>";
if (fonName != "") {
n = parseInt("$0",10) + 1;
fonType = (isFax == "1") ? 'fax' : ((groupCall == "1") ? 'fon' : 'tam');
list.push({
idx: $0,
src: g_fonSource.fon123,
name: fonName,
portname: "FON " + n,
type: fonType,
intern: "**" + n,
number: "<? query telcfg:settings/MSN/Port$0/MSN0 ?>"
});
}
` ?>
return list;
}
function readNTHotDialList() {
var list = [];
var n, partyNo, fonType;
<? repeat [ 1 8 ] `
partyNo = "<? query telcfg:settings/NTHotDialList/Number$0 ?>";
if (partyNo != "") {
n = parseInt("$0",10);
if ("5"+n == partyNo) {
//partyNo = "";
}
fonType = "<? query telcfg:settings/NTHotDialList/Type$0 ?>";
list.push({
idx: $0,
src: g_fonSource.nthotdiallist,
name: "<? query telcfg:settings/NTHotDialList/Name$0 ?>",
portname: "FON S0",
type: fonType,
intern: "**5" + n,
number: partyNo
});
}
` ?>
// Isdn-Default:
list.push({
noDevice: true,
idx: 0,
src: g_fonSource.nthotdiallist,
name: g_txtIsdnDefault,
portname: "FON S0",
type: "isdn",
intern: "",
number: ""
});
return list;
}
function readDect1() {
var list = [];
return list;
}
function readFonControl() {
var list = [];
var dectId = {};
return list;
}
function readVoipExt()
{
var Result = [];
var TelCfg = [];
var NetInfo = [];
<? repeat [ 0 9 ] `
TelCfg.push( { Enabled : "<? query telcfg:settings/VoipExtension$0/enabled ?>",
Name : "<? query telcfg:settings/VoipExtension$0/Name ?>",
Number0 : "<? query telcfg:settings/VoipExtension$0/Number0 ?>"
}
);
if (TelCfg[$0].Name == "")
{
TelCfg[$0].Name = g_txtIpPhone + " 62$0";
}
` ?>
<? multiquery voipextension:settings/extension/list(enabled,username,authname,passwd) `
NetInfo.push(parseInt("$3", 10));
` ?>
for (var Index = 0; Index < 10; Index++)
{
if (TelCfg[Index].Enabled == "1")
{
for (var NetIndex = 0; NetIndex < NetInfo.length; NetIndex++)
{
if (NetInfo[NetIndex] == (620 + Index))
{
Result.push( { idx: Index,
src: g_fonSource.voipext,
name: TelCfg[Index].Name,
portname: "LAN/WLAN",
type: 'ipphone',
intern: "**62" + Index,
number: TelCfg[Index].Number0
}
);
break;
}
}
}
}
return Result;
}
function readTam() {
var list = [];
if (!g_fon.numbers) {
g_fon.numbers = readFonNumbers();
}
var fonName, n, tamDisplay;
<? repeat [ 0 4 ] `
fonName = "<? query tam:settings/TAM$0/Name ?>" || g_txtTamDefaultName;
tamDisplay = "<? query tam:settings/TAM$0/Display ?>";
if (tamDisplay == "1") { // && fonName != "") {
n = parseInt("$0", 10);
var tamMsnBits = parseInt("<? query tam:settings/TAM$0/MSNBitmap ?>", 10) || 0;
var tamNo = [];
for (var i = 0; i < g_fon.numbers.tam.length; i++) {
if (isBitSet(tamMsnBits,i) && g_fon.numbers.tam[i]) {
tamNo.push(g_fon.numbers.tam[i]);
}
}
list.push({
idx: $0,
src: g_fonSource.tam,
name: fonName,
portname: g_txt_Integriert,
type: 'tam',
intern: "**60" + n,
active: "<? query tam:settings/TAM$0/Active ?>" == "1",
number: tamNo[0] || ""
});
}
` ?>
return list;
}
function readFaxMail() {
var list = [];
var isActive = "<? query telcfg:settings/FaxMailActive ?>";
if (isActive != "") {
var faxMsn = "<? query telcfg:settings/FaxMSN0 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN1 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN2 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN3 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN4 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN5 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN6 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN7 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN8 ?>";
if (faxMsn == "") faxMsn = "<? query telcfg:settings/FaxMSN9 ?>";
list.push({
idx: 0,
src: g_fonSource.faxmail,
name: g_txt_FaxMailDisplay,
portname: g_txt_Integriert,
type: 'faxmail',
intern: "",
number: faxMsn
});
}
return list;
}
function readFonDevices() {
var devList = [];
devList = devList.concat(readFon123());
devList = devList.concat(readNTHotDialList());
devList = devList.concat(readDect1());
devList = devList.concat(readFonControl());
devList = devList.concat(readVoipExt());
devList = devList.concat(readTam());
devList = devList.concat(readFaxMail());
return devList;
}
