<script type="text/javascript" src="/html/de/js/ajaxutility.js" ></script>
<script type = "text/javascript" language="javascript">
var ajaxTimer = 2000; /* Timer of the AJAX Callback! */
function Sek2Dauer (sec)
{
if (sec == "no-emu") sec = "0";
var d = Math.floor(sec/86400);
var h = Math.floor((sec % 86400)/3600);
var m = Math.floor((sec % 3600)/60);
var s = Math.floor(sec % 60);
if (d != 0)
{
return d.toString()+ " " +"day(s)" +ZweistelligeNummer(h)+":"+ZweistelligeNummer(m)+":"+ZweistelligeNummer(s);
}
else
{
return h.toString()+":"+ZweistelligeNummer(m)+":"+ZweistelligeNummer(s);
}
}
/* Callback of the AjaxObject */
function ajaxInternetOverviewCB( xmlDocument )
{
var node = xmlDocument.documentElement;
if (xmlDocument.getElementsByTagName('DSLStatus')
&& xmlDocument.getElementsByTagName('DSLStatus')[0]
&& xmlDocument.getElementsByTagName('DSLStatus')[0].firstChild) {
ajaxOverviewSetDslStatus( xmlDocument.getElementsByTagName('DSLStatus')[0].firstChild );
}
if (xmlDocument.getElementsByTagName('DSLStreamRate')
&& xmlDocument.getElementsByTagName('DSLStreamRate')[0]
&& xmlDocument.getElementsByTagName('DSLStreamRate')[0].firstChild) {
ajaxOverviewSetDSLRate( xmlDocument.getElementsByTagName('DSLStreamRate')[0].firstChild );
}
ajaxOverviewSetDSLAMInfo( xmlDocument );
//window.setTimeout('getXml( "/cgi-bin/webcm?getpage=../html/de/internet/overviewdaten.xml", ajaxInternetOverviewCB)', ajaxTimer);
window.setTimeout(makeAjaxFunc("overviewdaten.xml",ajaxInternetOverviewCB), ajaxTimer);
}
function makeAjaxFunc(xmlFile,callback) {
var url = "/cgi-bin/webcm?getpage=../html/de/internet/"+xmlFile;
url += "&sid=<? echo $var:sid ?>";
return function () {
return getXml(url,callback);
}
}
/* Function set new values for the DSLAM */
function ajaxOverviewSetDSLAMInfo( xmlDocument )
{
if (xmlDocument.getElementsByTagName('ATCU') == null || xmlDocument.getElementsByTagName('ATCU')[0] == null) {
return;
}
if (xmlDocument.getElementsByTagName('DSLAM') == null|| xmlDocument.getElementsByTagName('DSLAM')[0] == null) {
return;
}
var atcuNode= xmlDocument.getElementsByTagName('ATCU')[0];
var dslamNode = xmlDocument.getElementsByTagName('DSLAM')[0];
var dslamHTMLNode = document.getElementById('OverviewDSLDslamInfo');
var atcuVersionVendor,atcuVersionHybrid, atcuID;
var dslamVersion, dslamID, dslamSerial;
for( var entry=atcuNode.firstChild; entry != null; entry=entry.nextSibling )
{
//alert( "NODE: " + entry.nodeName );
if( entry.nodeName == 'ID' )
{
/* */
atcuID=entry.firstChild.data;
}
else if( entry.nodeName == 'VERSION' )
{
atcuVersionVendor = entry.getAttribute("vendor");
actuVersionHybrid = entry.getAttribute("hybrid");
}
}
for( var entry=dslamNode.firstChild; entry != null; entry=entry.nextSibling )
{
if( entry.nodeName == 'ID' )
{
/* */
dslamID=entry.firstChild.data;
}
else if( entry.nodeName == 'VERSION' )
{
dslamVersion = entry.firstChild.data;
}
else if( entry.nodeName == 'SERIAL' )
{
dslamSerial = entry.firstChild.data;
}
}
/* Set new values to HTML */
dslamHTMLNode.innerHTML = atcuID;
dslamHTMLNode.innerHTML += "<br>" + atcuVersionVendor + " - H" + (actuVersionHybrid&0x7) + " " + ((actuVersionHybrid&0xF8)>>3);
/* If we have ADSL2+, add DSLAM Infos */
if( dslamID != null )
dslamHTMLNode.innerHTML+= "<br>" + dslamID + "<br>" + dslamVersion + "<br>" + dslamSerial;
}
/* Set the new values for UP- and Downstream */
function ajaxOverviewSetDSLRate( xmlRates )
{
for( var rate=xmlRates; rate != null; rate = rate.nextSibling )
{
if( rate.nodeName == 'Up' )
{
/* Update Upstream Rate */
document.getElementById('OverviewDSLUsRate').innerHTML = rate.firstChild.data ;
}
else if ( rate.nodeName == 'Down' )
{
document.getElementById('OverviewDSLDsRate').innerHTML = rate.firstChild.data ;
}
}
}
/* Set DSLTrainingstatus and DSLMode and color of the connectionbar */
function ajaxOverviewSetDslStatus( xmlStatus )
{
var state;
var mode;
var showtime;
for( var status = xmlStatus; status != null; status=status.nextSibling )
{
if( status.nodeName == 'Trainstate' )
{
if (status.firstChild==null)
{
state = "";
}
else
{
state = status.firstChild.data ;
}
}
else if( status.nodeName == 'Mode' )
{
if (status.firstChild==null)
{
mode = "";
}
else
{
mode = status.firstChild.data ;
}
}
else if( status.nodeName == 'Color' )
{
if (status.firstChild==null)
{
}
else
{
document.getElementById('OverviewDSLColor').src = status.firstChild.data;
}
}
else if( status.nodeName == 'ShowtimeInSec' )
{
if (status.firstChild==null)
{
showtime="";
}
else
{
showtime = status.firstChild.data ;
}
}
}
document.getElementById('OverviewDSLTrainState').innerHTML = state;
if( showtime != 0 )
{
document.getElementById('OverviewDSLTrainState').innerHTML += " <br>[" + Sek2Dauer(showtime) + "]";
}
document.getElementById('OverviewDSLTrainState').innerHTML += "<br>" + mode ;
}
//window.setTimeout('getXml( "/cgi-bin/webcm?getpage=../html/de/internet/overviewdaten.xml", ajaxInternetOverviewCB)', 1);
window.setTimeout(makeAjaxFunc("overviewdaten.xml",ajaxInternetOverviewCB), ajaxTimer);
</script>
