<!-- '../home/clients.js' -->
<style type="text/css">
#tLan {width: 100%; table-layout: fixed; font-size: 12px; border-spacing: 5px;}
#tLan td, #tLan th {padding: 2px 2px; white-space:nowrap; overflow: hidden;}
/*#tLan th { height:25px; }*/
#tLan p {font-size: 12px;}
#tLan .c0 {width: 40px}
#tLan .c1 {text-align: left; width:180px;}
#tLan .c2 {text-align: left; width:110px;}
#tLan .c3 {text-align: left; width:auto;}
#tLan .c4 {width: 80px; text-align: right;}
#tLan .c4 img { width:16px; height:16px; }
#tLan .c4 button { width:36px;}
.pLeft25 { padding-left:25px; }
.detailDiv { margin-top:10px; margin-bottom:10px; margin-left:25px;}
.p0 { clear:left; width:120px; vertical-align:bottom; float:left; }
.p1 { width:auto; vertical-align:bottom; }
.btnDiv {text-align:right; }
.tDetails {text-align:left; padding: 2px 30px 2px 0px;}
.tDetails td, .tDetails th {text-align:left; padding: 2px 30px 2px 0px; white-space:nowrap;}
.tDetails th {border-bottom: solid 1px #C6C7BE; font-weight:normal; white-space:nowrap;}
</style>
<script type="text/javascript">
g_IE6 = false;
</script>
<!--[if lt IE 7]>
<script type="text/javascript">
g_IE6 = true;
</script>
<![endif]-->
<script type="text/javascript">
<? include ../html/de/js/jsl.js ?>
<? include ../html/de/js/jxl.js ?>
var g_txtNix = " - ";
var g_txtBtnEdit = "Edit";
var g_txtBtnDelete = "Delete";
var g_AkkuLeer = "empty";
var g_AkkuDefekt = "defective";
var g_TitleDetails = "Details for %1%NetDevice%";
var g_txt_Wlan_Cipher_State = ["non-encrypted","WPA","WEP","WPA2"];
var g_txtDeleteUser = '\"%1%Username%\" cannot be deleted because child protection is enabled for this user.';
var g_txtDeleteUserReally = 'Disabling child protection for \"%1%Username%\" now.';
var g_txtDeleteAutouser = 'The entry for this user will be deleted from the list the next time FRITZ!Box is started.';
var g_txtNodeleteMini = 'To delete this FRITZ!Mini from the overview, start the Gini! software and delete the device from the list of the registered FRITZ!Minis (\"More -> FRITZ!Minis\").';
var g_txtNodeleteMiniUser = 'To delete this FRITZ!Mini user from the overview, start the Gini! software and delete the device from the list of registered FRITZ!Mini users (\"\More -> FRITZ!Mini Users\").';
var g_txtNodeleteActive = "This device cannot be deleted because it is currently active.";
var g_txtNodeleteUser = "Benutzer können nicht gelöscht werden";
var g_txtNodelete = '\"%1%NetDevice%\" cannot be deleted.';
var g_clientipaddress = "<? echo $var:clientipaddress ?>";
var g_NetList = [];
var g_WlanList = [];
var g_MiniList = [];
var g_KisiList = [];
// Icons, abhängig vom Typ und von active = 0/1
var g_ImgPath = '../html/de/images/';
function getNetIcon(type,active)
{
switch (type)
{
case 'unknown': return "";
case 'ethernet': return ["clients_lan.png","clients_lan.png"][active];
case 'wlan': return ["clients_wlan00.png","clients_wlan05.png"][active];
case 'mini': return ["clients_mini00.png","clients_mini.png"][active];
case 'user': return ["clients_benutzer.png","clients_benutzer.png"][active];
case 'ipuser': return "";
}
return "";
}
// InitNetList
(function () {
// Die LandeviceListe
<? multiquery landevice:settings/landevice/list(name,ip,mac,dhcp,wlan,mini,ethernet,active,static_dhcp,manu_name,wakeup,deleteable,source) `
g_NetList.push({ id: "$1",
name: "$2",
ip: "$3",
mac: "$4",
dhcp: $5,
active: $9,
type: getNetType("$8","$6","$7"),
static_dhcp: "$a",
manu_name: "$b",
wakeup: "$c",
deleteable: "$d"
//source: "$e"
});
` ?>
// Die WlanListe
<? multiquery wlan:settings/wlanlist/list(hostname,ip,mac,state,speed,rssi,qualitiy,is_turbo,wmm_active,cipher,powersave,is_repeater,mini) `
g_WlanList.push({ id:"$1",
hostname:"$2",
ip:"$3",
mac:"$4",
state:"$5",
speed:"$6",
rssi:"$7",
qualitiy:"$8",
is_turbo:"$9",
wmm_active:"$a",
cipher:"$b",
powersave:"$c",
is_repeater:"$d",
mini:"$e"
});
` ?>
for (var i = 0; i < g_WlanList.length; i++) {
var idx = -1;
if (g_WlanList[i].mac) {
idx = indexInList(g_NetList,'mac',g_WlanList[i].mac);
}
if (idx < 0 && g_WlanList.ip) {
idx = indexInList(g_NetList,'ip',g_WlanList[i].ip);
}
if (idx >=0) {
g_NetList[idx].wlan_idx = i;
}
}
// Die Userliste
<? if eq <? query userglobal:settings/enabled ?> 1 `
<? multiquery user:settings/user/list(type,name,hostname,monday_thursday_allowed,budget_time_monday_thursday,monday_thursday_start_time,monday_thursday_end_time,friday_allowed,budget_time_friday,friday_start_time,friday_end_time,saturday_allowed,budget_time_saturday,saturday_start_time,saturday_end_time,sunday_allowed,budget_time_sunday,sunday_start_time,sunday_end_time,is_blocked) `
g_KisiList.push({ id:"$11",
type:"$12",
name:"$13",
hostname:"$14",
MoDo:{allowed:"$15",budget:"$16",start:"$17",end:"$18"},
Fr:{allowed:"$19",budget:"$1a",start:"$1b",end:"$1c"},
Sa:{allowed:"$1d",budget:"$1e",start:"$1f",end:"$1g"},
So:{allowed:"$1h",budget:"$1i",start:"$1j",end:"$1k"},
blocked:"$1l"
});
` ?>
<? multiquery autouser:status/autouser/list(type,name,hostname) `
g_KisiList.push({ id:"$11",
type:"$12",
name:"$13",
hostname:"$14",
auto:true
});
` ?>
` ?>
for (var i = 0; i < g_KisiList.length; i++) {
var kisiInfo = "";
if (g_KisiList[i].auto) {
kisiInfo = 'auto';
}
else {
kisiInfo = 'active';
}
switch (g_KisiList[i].type) {
case "3": {
// defaultuser
break;
}
case "2": {
// User vom Typ "2" ( = PC-User) in die NetList
var str = "";
g_NetList.push({ id: g_KisiList[i].id,
name: g_KisiList[i].name,
type: "user",
active:0,
kisi:kisiInfo,
kisi_idx:i
});
break;
}
case "1": {
// User vom Typ "1" ( = IP-User) auf Typ 'ipuser' setzen
var idx = indexInList(g_NetList,'ip',g_KisiList[i].name);
if (idx >= 0) {
g_NetList[idx].kisi = kisiInfo;
g_NetList[idx].kisi_idx = i;
if (g_NetList[idx].type == 'unknown') {
g_NetList[idx].type = "ipuser";
// Manchmal gibt es hier einen Namen
//if (g_KisiList[i].hostname) {
//g_NetList[idx].name = g_KisiList[i].hostname;
//}
}
}
else if (!g_KisiList[i].auto) { // Autouser, die die lanlist nicht kennt nicht in die Liste
g_NetList.push({ id: g_KisiList[i].id,
ip: g_KisiList[i].name,
name: g_KisiList[i].hostname,
type: "ipuser",
active:0,
kisi:kisiInfo,
kisi_idx:i
});
}
break;
}
}
}
addPortFWInfosToList();
// Sortieren
sortByStrings(g_NetList, getDisplayName);
})(); // Ende und direkter Aufruf InitNetList
function getNetType(ethernet,wlan,mini) {
var netType = "unknown";
if (ethernet == "1") {
netType = "ethernet";
}
else if (mini == "1") {
netType = "mini";
}
else if (wlan == "1") {
netType = "wlan";
}
return netType;
}
function indexInList(list,valname,val) {
for (var j = list.length-1; j >= 0; j--) {
if (list[j][valname] == val) {
return j;
}
}
return -1;
}
function getDisplayName(device) {
var str = "";
if (device.displayname) {
str = device.displayname;
}
else if (device.name) {
str = device.name;
}
return str;
}
function addPortFWInfosToList() {
var useExposedHost = "<? query forwardrules:settings/use_exposed_host ?>";
var exposedHost = "<? query forwardrules:settings/exposed_host ?>";
if (useExposedHost == "1" && exposedHost) {
var idx = indexInList(g_NetList,'ip',exposedHost);
if (idx >= 0) {
g_NetList[idx].exposedhost = true;
}
}
<? multiquery forwardrules:settings/rule/list(activated,fwip) `
//if ("$2" == "1") {
var idx = indexInList(g_NetList,'ip',"$3");
if (idx >= 0) {
g_NetList[idx].portfw = true;
}
//}
` ?>
<? if eq <? query box:settings/upnp/activated ?> 1 `
<? if eq <? query box:settings/upnp/control_activated ?> 1 `
<? multiquery igdforwardrules:settings/rule/list(fwip) `
var idx = indexInList(g_NetList,'ip',"$2");
if (idx >= 0) {
g_NetList[idx].igdportfw = true;
}
` ?>
` ?>
` ?>
}
function uiDoOnLoadClients() {
document.title ="Known FRITZ!Box Network Devices";
jslZebrastreifen("tLan");
if (g_NetList.length < 1) {
jslDisplay("uiNoLAN", true);
}
}
function TrNetDevices()
{
var len = g_NetList.length;
for (var i = 0; i < len; i++) {
document.write(TrNetDevice(g_NetList[i]));
}
}
function TrNetDevice(device) {
var str = "<tr>";
str += TdConnected(device);
str += TdName(device);
str += TdIp(device);
str += TdInfo(device);
str += TdEditDelete(device);
str += "</tr>";
return str;
}
function pngImg(imgName) {
if (!imgName) {
return '<img src="' + g_ImgPath + 'leer.gif" />';
}
if (g_IE6) {
var str = "";
str += '<img src="' + g_ImgPath + 'leer.gif"';
str += " style='filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src=";
str += "\"" + g_ImgPath + imgName + "\"";
str += ")'";
str += ' />';
}
else {
return '<img src="' + g_ImgPath + imgName + '" />';
}
return str;
}
function TdConnected(device) {
var str = '<td class="c0" >&nbsp;';
var withLink = (device.type == 'wlan' || device.type == 'mini');
if (withLink) {
str += "<a href=\"javascript:jslGoTo('wlan','wlan');\">";
}
str += pngImg(getNetIcon(device.type,device.active));
if (withLink) {
str += "</a>";
}
str += '</td>';
return str;
}
function TdName(device) {
var str = '<td class="c1" >'+ getDisplayName(device) + '&nbsp;</td>';
return str;
}
function TdIp(device) {
var ip = (device.ip) ? device.ip : g_txtNix;
var str = '<td class="c2" >'+ ip + '</td>';
return str;
}
function AkkuDisplay(prefix, akku) {
switch (akku) {
case "0": return prefix + g_AkkuLeer;
case "1":
case "2":
case "3":
case "4": return prefix + (Number(akku)*25) +"%";
case "5": return prefix + g_AkkuDefekt;
}
return "";
}
function TdInfo(device) {
var str = '<td class="c3" >';
var infoStr = [];
if (device.kisi == 'active') {
infoStr.push("<a href=\"javascript:jslGoTo('internet', 'userlist');\">" + "Child Protection" + "</a>");
}
if (device.exposedhost || device.portfw || device.igdportfw) {
var xStr = "<a href=\"javascript:jslGoTo('internet', 'portfw');\">";
if (device.exposedhost) {
xStr += "Exposed Host";
}
else {
xStr += "Port forwarding";
}
xStr += "</a>";
infoStr.push(xStr);
}
if (device.type == 'mini') {
infoStr.push(AkkuDisplay("Rechargeable battery ",device.accufill));
}
str += infoStr.join(", ");
str += '</td>';
return str;
}
function strNodeleteReason(device) {
var str = str = jslPrintf1(g_txtNodelete,getDisplayName(device));
if (device.type == 'mini' && device.active != 1) {
if (device.mac) {
str = g_txtNodeleteMini;
}
else {
str = g_txtNodeleteMiniUser;
}
}
else if (device.active == 1) {
str = g_txtNodeleteActive;
}
/*else if (device.type == 'user' || device.type == 'ipuser') {
str = g_txtNodeleteUser;
}*/
return str;
}
function uiDoDelete(id) {
var idx = indexInList(g_NetList,'id',id);
if (idx >= 0) {
var delmode = g_NetList[idx].deleteable;
var doIt = (delmode == "2"); // Kann einfach so gelöscht werden
if (delmode == "1") { // Kann nur mit Löschen aller Einstellungen gelöscht werden
var str = jslPrintf1("This will also delete all settings for %1%NetDevice%.",getDisplayName(g_NetList[idx]));
str = [str,"Continue anyway?"].join("\n");
str = convertHTML2Text(str);
doIt = confirm(str);
if (!doIt) {
return;
}
}
if (doIt) { // Aus landevice-Liste löschen
jslSetName("uiPostDelete","landevice:command/"+id);
jslEnable("uiPostDelete");
jslSubmitFormEx("", "net");
return;
}
else {
if (g_NetList[idx].type == 'user' && typeof g_NetList[idx].kisi_idx == 'number') {
if (g_NetList[idx].kisi != 'active') {
alert(g_txtDeleteAutouser);
}
else {
//User aus Userliste löschen?
var str = [g_txtDeleteUser,g_txtDeleteUserReally].join("\n");
str = convertHTML2Text(jslPrintf(str,getDisplayName(g_NetList[idx])));
if (confirm(str)) {
var userid = g_KisiList[g_NetList[idx].kisi_idx].id;
jslSetName("uiPostUserDelete","user:command/"+userid);
jslEnable("uiPostUserDelete");
jslSubmitFormEx("", "net");
}
}
return;
}
var str = strNodeleteReason(g_NetList[idx]);
str = convertHTML2Text(str);
alert(str);
}
}
}
function uiDoWake() {
var id = jslGetValue("uiPostLandevice");
var idx = indexInList(g_NetList,'id',id);
if (idx >= 0) {
/*var newname = jslPrintf1(jslGetName("uiPostWakeup"),id);
jslSetName("uiPostWakeup",newname);
//jslSetName("uiPostWakeup","landevice:settings/"+id+"/wakeup");
jslSetValue("uiPostWakeup","1");
jslEnable("uiPostWakeup");
*/
jslSetValue("uiPostWakeupMac",g_NetList[idx].mac);
jslEnable("uiPostWakeupMac");
jslSubmitFormEx("", "net");
}
else {
}
}
function TdEditDelete(device) {
var str = '<td class="c4">';
str += IconBtn('uiViewDetails'+device.id, "uiDoShowDetails(\'"+device.id+"\')", g_txtBtnEdit, "bearbeiten.gif");
str += "&nbsp;";
str += IconBtn('uiViewDelete'+device.id, "uiDoDelete(\'"+device.id+"\')", g_txtBtnDelete, "loeschen.gif");//, device.dhcp != 1);
str += "</td>";
return str;
}
function OnStaticDhcp() {
return true;
}
function resetName() {
jslSetValue("uiViewLandeviceName","");
return false;
}
function uiDoSaveDetails() {
var doSubmit = false;
if (jxl.get("uiViewLandeviceName")) {
var newname = jslGetValue("uiViewLandeviceName");
var oldname = jslGetValue("uiPostLandeviceName");
if (oldname != newname) {
//var pattern = /[^a-zA-Z0-9-]+|[0-9]+/g;
var pattern = /^[0-9]*[a-zA-Z-]+[a-zA-Z0-9-]*$/g;
if (newname && !pattern.test(newname)) {
var str = jslPrintf1("The name \'1\' contains illegal characters.",newname);
alert([str,"Computer names may contain only letters (a-z, A-Z), numerals (0-9), and hyphens (-). The name may not be made up of numerals only."].join("\n"));
jxl.get("uiViewLandeviceName").focus();
jxl.get("uiViewLandeviceName").select();
return;
}
jslCopyValue("uiPostLandeviceName", "uiViewLandeviceName");
jslEnable("uiPostLandeviceName");
doSubmit = true;
}
}
if (jxl.getCurrentStyle("uiDetailsStaticDhcp").display != 'none') {
jslSetValue("uiPostStaticDhcp",(jslGetChecked("uiViewStaticDhcp"))?"1":"0");
jslEnable("uiPostStaticDhcp");
doSubmit = true;
}
var menu = 'home';
if (jslGetValue("uiPostMenu") != menu) {
menu = 'system';
}
jslSubmitFormEx(menu, "net", "");
}
function uiDoRefresh() {
var menu = 'home';
if (jslGetValue("uiPostMenu") != menu) {
menu = 'system';
}
jslGoTo(menu,"net");
}
function uiDoHelpClients() {
var helpfile = "hilfe_clients";
if (jxl.getCurrentStyle("tLan").display == 'none') {
helpfile = 'hilfe_client_details';
}
jslPopHelp(helpfile);
}
// Details
function AddMiniDetails(device) {
if (device.type != 'mini') {
return;
}
var txt = null;
var showMore = false;
if (!device.user) {
txt = 'This FRITZ!Mini has not yet been assigned to any user. The contents of the FRITZ!Mini can be personalized as soon as a user is assigned. The user assignment can be performed in the Gini! software under \"More\".';
showMore=true;
}
else if (device.user == device.name) {
txt = 'No FRITZ!Mini is assigned to this user at this time. The user assignment can be performed in the Gini! software under \"More\".';
}
if (txt) {
jxl.setHtml("uiDetailsMiniExplain",txt);
jslDisplay("uiDetails_mini",true);
}
if (showMore) {
//
}
}
function Sek2hhmm (sec, mode) {
if (sec == "no-emu") sec = "0";
var h = Math.floor(sec/3600);
var m = Math.floor((sec % 3600)/60);
if (mode==1 && h==0 && m ==0) h = 24;
return h.toString()+":"+ZweistelligeNummer(m);
}
function Sek2Dauer(sec) {
if (sec == 0) {
return "24 hours";
}
var h = Math.floor(sec/3600);
var m = Math.floor((sec % 3600)/60);
var str = "";
if (h > 0) {
str += h;
var hour=" hour";
if (h > 1) {
hour= " hours";
str += hour;
}
}
if (m > 0 || m == 0 && h == 0) {
if (h > 0) {
str += " and ";
}
str += m;
var minute= " minute";
if (m != 1) {
minute= " minutes";
}
str += minute;
}
return str;
}
function ZweistelligeNummer (n) {
if (n>9) return n.toString();
return "0"+n.toString();
}
function isKisiUnlimited(day) {
if (day.allowed == "1" && day.start == "0" && day.end == "86400" && day.budget == "0") {
return true;
}
return false;
}
function AddKiSiDetails(device) {
var txt = "";
if (device.kisi == 'auto') {
txt = "Child Protection: The Internet usage settings depend on the settings for the computer in use.";
}
else if (device.kisi == 'active') {
var kisi = null;
if (typeof device.kisi_idx == 'number') {
kisi = g_KisiList[device.kisi_idx];
}
if (kisi && kisi.blocked == "1") {
txt = "Child protection: Internet access is blocked.";
txt += "<br><br>FRITZ!Box has prevented an attempt to evade child protection. During this process it was necessary to block Internet access.";
}
else if (kisi && kisi.MoDo) {
if (kisi.MoDo.allowed == "0" && kisi.Fr.allowed == "0" &&
kisi.Sa.allowed == "0" && kisi.So.allowed == "0") {
txt = "Child Protection: Internet access is blocked.";
}
else if (isKisiUnlimited(kisi.MoDo) && isKisiUnlimited(kisi.Fr) &&
isKisiUnlimited(kisi.Sa) && isKisiUnlimited(kisi.So)) {
txt = "Child Protection: Internet access is not restricted.";
}
else {
txt = "Child Protection: Internet access is permitted at the following times:";
var von = g_txtNix;
var bis = g_txtNix;
var maximal = g_txtNix;
var days = ['MoDo','Fr','Sa','So'];
for (var k=0; k < 4; k++) {
if (kisi[days[k]].allowed == "1") {
von = Sek2hhmm(kisi[days[k]].start, 0);
bis = Sek2hhmm(kisi[days[k]].end,1);
//maximal = Sek2hhmm(kisi[days[k]].budget);
maximal = Sek2Dauer(kisi[days[k]].budget);
jxl.setHtml("kisi"+days[k]+"Start",von);
jxl.setHtml("kisi"+days[k]+"End",bis);
jxl.setHtml("kisi"+days[k]+"Duration",maximal);
}
else {
jxl.setStyle(jxl.get("kisi"+days[k]+"Start").parentNode,'display','none');
}
}
jslDisplay("tDetailsKiSi",true);
}
}
}
if (txt) {
jxl.setHtml("uiDetailsKiSiExplain",txt);
jslDisplay("uiDetailsKiSi",true);
}
}
function PortRange(pa,pe,pb) {
if (pe=='' || pa==pe) return pb;
a = parseInt(pa,10);
e = parseInt(pe,10);
b = parseInt(pb,10);
if (isNaN(a) || isNaN(e) || isNaN(b)) return '';
return b.toString()+"-"+(b+(e-a)).toString();
}
function AddPortFwDetails(device) {
var doShow = false;
if (device.exposedhost) {
jslDisplay("uiDetailsPortFwExposedHost",true);
doShow = true;
}
var detailTable = jxl.get("tDetailsPortFw");
var tbodyFw = null;
var tbodyIgdFw = null;
var tr = null;
var td = null;
<? multiquery forwardrules:settings/rule/list(activated,fwip,description,protocol,port,endport,fwport) `
if ("$2" == "1" && device.ip == "$3") {
if (!tbodyFw) {
tbodyFw = document.createElement('tbody');
}
tr = document.createElement('tr');
td = document.createElement('td');
jxl.setHtml(td,"$4");
tr.appendChild(td);
td = document.createElement('td');
jxl.setHtml(td,"$5");
tr.appendChild(td);
td = document.createElement('td');
jxl.setHtml(td,PortRange("$6","$7","$6"));
tr.appendChild(td);
td = document.createElement('td');
jxl.setHtml(td,PortRange("$6","$7","$8"));
tr.appendChild(td);
tbodyFw.appendChild(tr);
doShow = true;
}
` ?>
<? multiquery igdforwardrules:settings/rule/list(fwip,protocol,port,fwport) `
if (device.ip == "$2") {
if (!tbodyIgdFw) {
tbodyIgdFw = document.createElement('tbody');
}
tr = document.createElement('tr');
td = document.createElement('td');
jxl.setHtml(td,"via UPnP");
tr.appendChild(td);
td = document.createElement('td');
jxl.setHtml(td,"$3");
tr.appendChild(td);
td = document.createElement('td');
jxl.setHtml(td,"$4");
tr.appendChild(td);
td = document.createElement('td');
jxl.setHtml(td,"$4");
tr.appendChild(td);
tbodyIgdFw.appendChild(tr);
doShow = true;
}
` ?>
if (tbodyFw || tbodyIgdFw) {
if (tbodyFw) {
detailTable.appendChild(tbodyFw);
}
if (tbodyIgdFw) {
detailTable.appendChild(tbodyIgdFw);
}
jslDisplay("tDetailsPortFw",true);
jslDisplay("uiDetailsPortFwExplain",true);
}
jslDisplay("uiDetailsPortFw",doShow);
}
function getWlanSpeed (speed, turbo) {
var str = speed + " Mbit/s";
if (turbo == "1") str += " (g++)";
return str;
}
function AddWlanDetails(device) {
if (device.type != 'wlan' && device.type != 'mini') {
return;
}
if (typeof device.wlan_idx != 'number' || g_WlanList[device.wlan_idx].state != "5") {
if (device.type == 'mini') {
return;
}
jxl.setHtml("uiDetailsWlanExplain","WLAN: no connection.");
}
else {
jxl.setHtml("uiDetailsWlanExplain","WLAN");
var str = getWlanSpeed(g_WlanList[device.wlan_idx].speed,g_WlanList[device.wlan_idx].is_turbo);
jxl.setHtml("wlanSpeed",str);
str = (g_WlanList[device.wlan_idx].wmm_active == "1") ? "enabled" : "disabled";
jxl.setHtml("wlanWMM",str);
if (g_WlanList[device.wlan_idx].mini == "1") {
jxl.setHtml("wlanMoreHead","Rechargeable battery");
jxl.setHtml("wlanMore",AkkuDisplay("",device.accufill));
}
else {
str = (g_WlanList[device.wlan_idx].is_repeater == "1") ? "yes" : "no";
jxl.setHtml("wlanMore",str);
}
var n = Number(g_WlanList[device.wlan_idx].cipher);
str = (isNaN(n))? g_txtNix : g_txt_Wlan_Cipher_State[n];
jxl.setHtml("wlanCipher",str);
jslDisplay("tDetailsWlan",true);
}
jslDisplay("uiDetails_wlan",true);
}
function showWakeOnLan(device) {
if (device.type == 'user' || device.type == 'wlan' || device.type == 'mini') {
return;
}
if (device.mac) {
//if (!device.ip || g_clientipaddress != device.ip) {
jslDisplay("uiDetailsWake",true);
//}
}
}
function uiDoShowDetails(id) {
jslSetValue("uiPostLandevice", id);
var idx = indexInList(g_NetList,'id',id);
var isEditable = false;
if (idx >= 0) {
// Tabs ausblenden
jslDisplay("uiViewDeviceUser",false);
jslDisplay("uiNetList",false);
jxl.setHtml("uiTitel",jslPrintf1(g_TitleDetails, getDisplayName(g_NetList[idx])));
jslDisplay("tLan",false);
var nameDiv = document.getElementById("uiDetailsName");
var elem = null;
if (g_NetList[idx].ip) {
isEditable = true;
elem = document.createElement('p');
elem.className="mb10";
jxl.setHtml(elem,'You can keep the name or assign one of your own (e.g. PC - Office).');
nameDiv.appendChild(elem);
elem = document.createElement('label');
elem.htmlFor="uiViewLandeviceName";
var elem2 = document.createElement('p');
elem2.className = "p0";
jxl.setHtml(elem2,'Name');
elem.appendChild(elem2);
nameDiv.appendChild(elem);
elem = document.createElement('input');
elem.type="text";
elem.id = "uiViewLandeviceName";
elem.size="32";
elem.maxlength="128";
elem.value = convertHTML2Text(g_NetList[idx].name);
nameDiv.appendChild(elem);
jslSetName("uiPostLandeviceName","landevice:settings/"+g_NetList[idx].id+"/name");
jslSetValue("uiPostLandeviceName",elem.value);
if (g_NetList[idx].manu_name == "1") {
elem = document.createElement('input');
elem.type = "button";
elem.value = "Reset";
elem.className = "ml10 PushbuttonBig";
jxl.addEventHandler(elem,'click',resetName);
nameDiv.appendChild(elem);
}
}
else {
elem = document.createElement('p');
elem.className = "p0";
jxl.setHtml(elem,'Name');
nameDiv.appendChild(elem);
elem = document.createElement('p');
elem.className = "p1";
var str = (g_NetList[idx].name) ? g_NetList[idx].name : g_txtNix;
jxl.setHtml(elem,str);
nameDiv.appendChild(elem);
}
jslDisplay("uiDetails",true);
if (g_NetList[idx].user && g_NetList[idx].user != g_NetList[idx].name) {
elem = document.getElementById("uiDetailsUserContent");
jxl.setHtml(elem,g_NetList[idx].user);
elem.parentNode.style.display = "";
}
if (g_NetList[idx].ip) {
elem = document.getElementById("uiDetailsIpContent");
jxl.setHtml(elem,g_NetList[idx].ip);
elem.parentNode.style.display = "";
}
if (g_NetList[idx].mac) {
elem = document.getElementById("uiDetailsMacContent");
jxl.setHtml(elem,g_NetList[idx].mac);
elem.parentNode.style.display = "";
}
if (g_NetList[idx].dhcp == "1" && g_NetList[idx].mac && g_NetList[idx].ip) {
elem = document.getElementById("uiDetailsStaticDhcp");
jslSetChecked("uiViewStaticDhcp",g_NetList[idx].static_dhcp == "1");
elem.style.display = "";
isEditable = true;
jslSetName("uiPostStaticDhcp","landevice:settings/"+g_NetList[idx].id+"/static_dhcp");
}
showWakeOnLan(g_NetList[idx]);
AddWlanDetails(g_NetList[idx]);
AddMiniDetails(g_NetList[idx]);
AddKiSiDetails(g_NetList[idx]);
AddPortFwDetails(g_NetList[idx]);
if (isEditable) {
jslSetValue("uiBtnRefresh","Cancel");
jslDisplay("uiBtnApply",true);
}
else {
jslSetValue("uiBtnRefresh","OK");
}
}
}
function doNetPage(tab) {
var tabs = {'upnp':'1','providerservice':'2','ip':'3'};
jslSetValue("uiPostTabNr",tabs[tab]);
jslGoTo(jslGetValue("uiPostMenu"), "net");
//jslFormSubmitEx(jslGetValue("uiPostMenu"), "net");;
}
</script>
