<!-- ../internet/portrule.js -->
<style type="text/css">
<!--
#tPorts td {padding: 1px 5px;}
.cb25 {text-indent: -25px; padding-left: 25px;}
.achtung {color: #CC0000; font-weight: bold;}
-->
</style>
<script type="text/javascript">
<? include ../html/de/js/val.js ?>
<? include ../html/de/js/jsl.js ?>
var g_mldNoName = "A name must be entered.";
var g_mldIpAdr = "Illegal IP address.";
var g_mldEntryPort = "Entry in \"Port\" field: ";
var g_mldEntryEndPort = "Entry in \"through port\" field: ";
var g_mldEntryAtPort = "Entry in \"To port\" field: ";
var g_mldInvalidRange = "The end of the port range must be greater than the start.";
var g_mldIpAdr0000 = "IP address 0.0.0.0 is not valid.";
var g_mldIpAdr0 = "IP address *.*.*.0 is not valid.";
var g_mldIpAdr255 = "IP address *.*.*.255 is not valid.";
var g_txtService_1 = "FTP-Server";
var g_txtService_2 = "HTTP-Server";
var g_txtService_3 = "eMule TCP";
var g_txtService_4 = "eMule UDP";
var g_txtService_5 = "MS Remotedesktop";
var g_txtService_6 = "Exposed Host";
var g_isexp = "<? echo $var:isexp ?>";
var g_clientipaddress = "<? echo $var:clientipaddress ?>";
var g_LanList = [];
<? multiquery landevice:settings/landevice/list(name,ip) `
g_LanList.push({id:"$1", name:"$2", ip:"$3"});
` ?>
function indexInList(list,valname,val) {
for (var j = list.length-1; j >= 0; j--) {
if (list[j][valname] == val) {
return j;
}
}
return -1;
}
function NameFromIp(ip) {
var idx = indexInList(g_LanList,'ip',ip);
if (idx < 0) {
return ip;
}
return g_LanList[idx].name || ip;
}
function AddFwIpNameOptions() {
var strAll = [];
var idx = indexInList(g_LanList,'ip',g_clientipaddress);
if (idx < 0) {
strAll.push('<option value="' + g_clientipaddress + '">' + g_clientipaddress + '</option>');
}
for (var i = 0; i < g_LanList.length; i++) {
if (g_LanList[i].ip) {
var str = '<option value="' + g_LanList[i].ip + '">';
str += g_LanList[i].name || g_LanList[i].ip;
str += '</option>';
strAll.push(str);
}
}
return strAll.join("\n");
}
function uiOnChangeFwIpName(value) {
switch (value) {
case "manuell":
var ip = getPostFwIp() || g_clientipaddress;
jslSetValue("uiViewFwIp",ip);
jslEnable("uiViewFwIp");
uiFocus("uiViewFwIp");
uiSelect("uiViewFwIp");
break;
default:
jslSetValue("uiViewFwIp",value);
jslDisable("uiViewFwIp");
break;
}
return true;
}
function valDoValidateBoxIp (Address) {
var address = Address.match("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$");
if (address == null) return g_mldIpAdr;
var digits = address[0].split(".");
var i;
for (i=0; i < 4; i++) {
if ((Number(digits[i]) > 255 ) || (Number(digits[i]) < 0 )) return g_mldIpAdr;
}
// IP-Adresse 0.0.0.0 verbieten
if ((Number(digits[0]) == 0) && (Number(digits[1]) == 0) && (Number(digits[2]) == 0) && (Number(digits[3]) == 0)) return g_mldIpAdr0000;
// IP-Adresse *.*.*.0 verbieten
if (Number(digits[3]) == 0) return g_mldIpAdr0;
// IP-Adresse *.*.*.255 verbieten
if (Number(digits[3]) == 255) return g_mldIpAdr255;
var error=null;
return error;
}
function uiDoOnLoad() {
document.title = "Permit FRITZ!Box Access";
jslSetChecked("uiViewActivate", jslGetValue("uiPostActivated") == "1");
jslCopyValue("uiViewDescription","uiPostDescription");
jslSetSelection("uiViewProtocol", jslGetValue("uiPostProtocol"));
jslCopyValue("uiViewPort","uiPostPort");
if (jslGetValue("uiPostPort")!=jslGetValue("uiPostEndPort"))
jslCopyValue("uiViewEndPort","uiPostEndPort");
jslCopyValue("uiViewFwIp","uiPostFwIp");
jslCopyValue("uiViewFwPort","uiPostFwPort");
var dienst = "other";
if (g_isexp == "1") {
jslSetChecked("uiViewActivate", jslGetValue("uiPostUseExposed") == "1");
jslCopyValue("uiViewFwIp","uiPostExposed");
jslAddOption("uiViewDienst", "Exposed Host", g_txtService_6, false);
dienst = g_txtService_6;
} else {
<? if eq <? query box:settings/expertmode/activated ?> 1 `
if (jslGetValue("uiPostExposed") == "") jslAddOption("uiViewDienst", "Exposed Host", g_txtService_6, false);
` ?>
if (isDienst(g_txtService_1, 'TCP', 21)) dienst = g_txtService_1; else
if (isDienst(g_txtService_2, 'TCP', 80)) dienst = g_txtService_2; else
if (isDienst(g_txtService_3, 'TCP', 4662)) dienst = g_txtService_3; else
if (isDienst(g_txtService_4, 'UDP', 4672)) dienst = g_txtService_4; else
if (isDienst(g_txtService_5, 'TCP', 3389)) dienst = g_txtService_5;
}
jslSetSelection("uiViewDienst", dienst);
uiOnChangeDienst(dienst);
uiOnChangePort();
uiOnChangeProtocol(jslGetValue("uiViewProtocol"));
var sel = jslGetValue("uiViewFwIp") || g_clientipaddress;
jslSetSelection("uiViewFwIpName",sel);
uiOnChangeFwIpName(sel);
}
function getPostFwIp() {
if (g_isexp == "1") {
return jslGetValue("uiPostExposed");
}
return jslGetValue("uiPostFwIp");
}
function isDienst(name, prot, port) {
return jslGetValue("uiPostDescription") == name && jslGetValue("uiPostProtocol") == prot && jslGetValue("uiPostPort") == port && jslGetValue("uiPostEndPort") == port && jslGetValue("uiPostFwPort") == port;
}
function uiOnChangeProtocol (id) {
var b = true;
if (id == "GRE" || id == "ESP") b = false;
jslSetEnabled("uiLabelPort", b);
jslSetEnabled("uiViewPort", b);
jslSetEnabled("uiViewEndPort", b);
jslSetEnabled("uiLabelFwPort", b);
jslSetEnabled("uiViewFwPort", b);
}
function uiDoValidate() {
var protokoll = jslGetValue("uiPostProtocol");
var message;
if (jslGetValue("uiViewDienst") == "other") {
var value = jslGetValue("uiViewDescription");
if (value.length == 0) {alert(g_mldNoName); return false;}
}
if (protokoll != "GRE" && protokoll != "ESP") {
message = valDoValidatePort(jslGetValue("uiViewPort"), 1);
if (message) {alert(g_mldEntryPort+message); return false;}
if (jslGetValue("uiViewEndPort")!='')
{
message = valDoValidatePort(jslGetValue("uiViewEndPort"), 1);
if (message) {alert(g_mldEntryEndPort+message); return false;}
if (parseInt(jslGetValue("uiViewPort"),10) > parseInt(jslGetValue("uiViewEndPort"),10))
{
alert(g_mldInvalidRange);
return false;
}
}
}
message = valDoValidateBoxIp(jslGetValue("uiViewFwIp"));
if (message) {alert(message); return false;}
if (protokoll != "GRE" && protokoll != "ESP") {
message = valDoValidatePort(jslGetValue("uiViewFwPort"), 1);
if (message) {alert(g_mldEntryAtPort+message); return false;}
}
return true;
}
function uiDoSave() {
var dienst = jslGetValue("uiViewDienst");
if (dienst == "Exposed Host") {
message = valDoValidateBoxIp(jslGetValue("uiViewFwIp"));
if (message) {alert(message); return false;}
jslSetValue("uiPostUseExposed", jslGetChecked("uiViewActivate") ? "1":"0");
jslCopyValue("uiPostExposed","uiViewFwIp");
jslEnable("uiPostUseExposed");
jslEnable("uiPostExposed");
jslSubmitFormEx("internet", "portfw", "portrule");
} else {
jslSetValue("uiPostActivated", jslGetChecked("uiViewActivate") ? "1":"0");
switch (jslGetValue("uiViewDienst")) {
case "FTP-Server": SaveDienst("FTP-Server", "TCP", 21); break;
case "HTTP-Server": SaveDienst("HTTP-Server", "TCP", 80); break;
case "eMule TCP": SaveDienst("eMule TCP", "TCP", 4662); break;
case "eMule UDP": SaveDienst("eMule UDP", "UDP", 4672); break;
case "MS Remotedesktop": SaveDienst("MS Remotedesktop", "TCP", 3389); break;
case "other":
jslCopyValue("uiPostDescription", "uiViewDescription");
jslCopyValue("uiPostProtocol", "uiViewProtocol");
jslCopyValue("uiPostPort", "uiViewPort");
jslCopyValue("uiPostEndPort", "uiViewEndPort");
jslCopyValue("uiPostFwPort", "uiViewFwPort");
break;
}
jslCopyValue("uiPostFwIp", "uiViewFwIp");
if (uiDoValidate()) {
jslEnable("uiPostActivated");
jslEnable("uiPostDescription");
jslEnable("uiPostProtocol");
jslEnable("uiPostPort");
jslEnable("uiPostEndPort");
jslEnable("uiPostFwIp");
jslEnable("uiPostFwPort");
if (g_isexp == "1") {
// Exposed Host löschen
jslSetValue("uiPostUseExposed", "0");
jslSetValue("uiPostExposed", "");
jslEnable("uiPostUseExposed");
jslEnable("uiPostExposed");
}
jslSubmitFormEx("internet", "portfw", "portrule");
}
}
}
function SaveDienst (name, prot, port) {
jslSetValue("uiPostDescription", name);
jslSetValue("uiPostProtocol", prot);
jslSetValue("uiPostPort", port);
jslSetValue("uiPostEndPort", port);
jslSetValue("uiPostFwPort", port);
}
function uiDoCancel() {
jslGoTo("internet", "portfw");
}
function uiDoHelp() {
jslPopHelp("hilfe_neueportfreigabe");
}
function uiOnChangePort() {
var st = parseInt(jslGetValue("uiViewPort"),10);
if (!isNaN(st)) {
var en = parseInt(jslGetValue("uiViewEndPort"),10);
if (!isNaN(en) && (en < st)) {
jslCopyValue("uiViewEndPort","uiViewPort");
}
uiOnChangeEndPort();
}
}
function uiOnChangeEndPort() {
if (jslGetValue("uiViewEndPort")=="") {
jslSetSpanText("uiViewEndFwPort","");
jslDisplay("uiViewLabelEndFwPort", false);
} else {
var st = parseInt(jslGetValue("uiViewPort"), 10);
var en = parseInt(jslGetValue("uiViewEndPort"), 10);
if (isNaN(st) || isNaN(en)) {
jslDisplay("uiViewLabelEndFwPort", false);
jslSetSpanText("uiViewEndFwPort","");
return;
}
var diff = en-st;
if (diff<0) diff=0;
var fw = parseInt(jslGetValue("uiViewFwPort"),10);
if (isNaN(fw)) {
jslDisplay("uiViewLabelEndFwPort", false);
jslSetSpanText("uiViewEndFwPort","");
return;
}
diff += fw;
jslDisplay("uiViewLabelEndFwPort", true);
jslSetSpanText("uiViewEndFwPort",diff);
}
}
function uiOnChangeDienst(dienst) {
var b = dienst == "other";
jslDisplay("uiViewRowName", b);
jslDisplay("uiViewRowProto", b);
jslDisplay("uiViewRowPortIn", b);
jslDisplay("uiViewRowPortOut", b);
jslDisplay("ExposedMeldung", dienst == "Exposed Host");
}
</script>
